#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1519999310.155707
__CHEETAH_genTimestamp__ = 'Fri Mar  2 15:01:50 2018'
__CHEETAH_src__ = 'templates/filter_form.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar  2 14:58:23 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class filter_form(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(filter_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 6, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Filter")
        _v = VFFSL(SL,"_",False)("Filter") # u'$_("Filter")' on line 7, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Filter")')) # from line 7, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u"""loadHideElementStore('""")
        _v = VFFSL(SL,"files_path",True) # u'${files_path}' on line 11, col 23
        if _v is not None: write(_filter(_v, rawExpr=u'${files_path}')) # from line 11, col 23.
        write(u"""');""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 14, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<script type="text/javascript">
  jQuery(document).ready(function () {
    jQuery(\'#iquery\').focus();
    show_hide();
  });
</script>
''')
        _orig_filter_29425785 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<h3>''')
        if False:
            _("Concordance filter")
        _v = VFFSL(SL,"_",False)("Concordance filter") # u'$_("Concordance filter")' on line 22, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance filter")')) # from line 22, col 5.
        write(u'''
''')
        if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 23, col 5
            write(u'''    <a href="''')
            _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 24, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 24, col 14.
            write(u'''user-guide/user-manual/concordance-introduction/working-with-concordance-results/#toggle-id-13"
        rel="help" title=\'''')
            if False:
                _("? Help on filter form")
            _v = VFFSL(SL,"_",False)("? Help on filter form") # u'$_("? Help on filter form")' on line 25, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on filter form")')) # from line 25, col 27.
            write(u'''\' target="_blank" name="help_icon" id="help_icon">
      <i class="fa fa-question-circle"></i>
    </a>
''')
        write(u'''</h3>

<form action="filter">
<input type="hidden" name="within" value="''')
        _v = VFFSL(SL,"within",True) # u'$within' on line 32, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$within')) # from line 32, col 43.
        write(u'''" />
''')
        _orig_filter_77820388 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 34, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 34, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_77820388
        write(u'''
<table class="form">
''')
        if VFFSL(SL,"within",True): # generated from line 38, col 1
            write(u'''  <input type="hidden" name="pnfilter" value="p"/>
''')
            #  ordinary filter
        else : # generated from line 40, col 1
            write(u'''  <tbody>
  <tr class="required"><th>''')
            if False:
                _("Filter")
            _v = VFFSL(SL,"_",False)("Filter") # u'$_("Filter")' on line 42, col 28
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Filter")')) # from line 42, col 28.
            write(u''':</th>
    <td><label><input type="radio" name="pnfilter" value="p"
''')
            if VFFSL(SL,"pnfilter",True) == 'p': # generated from line 44, col 5
                write(u'''      checked="checked"
''')
            write(u'''    /> ''')
            if False:
                _("positive")
            _v = VFFSL(SL,"_",False)("positive") # u'$_("positive")' on line 47, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("positive")')) # from line 47, col 8.
            write(u'''</label>
    <label><input type="radio" name="pnfilter" value="n"
''')
            if VFFSL(SL,"pnfilter",True) == 'n': # generated from line 49, col 5
                write(u'''      checked="checked"
''')
            write(u'''    /> ''')
            if False:
                _("negative")
            _v = VFFSL(SL,"_",False)("negative") # u'$_("negative")' on line 52, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("negative")')) # from line 52, col 8.
            write(u'''</label></td></tr>
  <tr><th>''')
            if False:
                _("Selected token")
            _v = VFFSL(SL,"_",False)("Selected token") # u'$_("Selected token")' on line 53, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Selected token")')) # from line 53, col 11.
            write(u''':</th>
    <td><label><input type="radio" name="filfl" value="f" 
''')
            if VFFSL(SL,"filfl",True) == 'f': # generated from line 55, col 5
                write(u'''      checked="checked"
''')
            write(u'''    /> ''')
            if False:
                _("first")
            _v = VFFSL(SL,"_",False)("first") # u'$_("first")' on line 58, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("first")')) # from line 58, col 8.
            write(u'''</label>
    <label><input type="radio" name="filfl" value="l" 
''')
            if VFFSL(SL,"filfl",True) == 'l': # generated from line 60, col 5
                write(u'''      checked="checked"
''')
            write(u'''    />  ''')
            if False:
                _("last")
            _v = VFFSL(SL,"_",False)("last") # u'$_("last")' on line 63, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$_("last")')) # from line 63, col 9.
            write(u'''</label>
      &nbsp;
''')
            if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 65, col 7
                write(u'''        <a href="''')
                _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 66, col 18
                if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 66, col 18.
                write(u'''user-guide/user-manual/concordance-introduction/working-with-concordance-results/#toggle-id-13">
          <i class="fa fa-question-circle"></i>
        </a>
''')
            write(u'''      </td>
    </tr>
  <tr><th>''')
            if False:
                _("Search span")
            _v = VFFSL(SL,"_",False)("Search span") # u'$_("Search span")' on line 72, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Search span")')) # from line 72, col 11.
            write(u''':</th>
    <td>
    ''')
            if False:
                _("from")
            _v = VFFSL(SL,"_",False)("from") # u'$_("from")' on line 74, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("from")')) # from line 74, col 5.
            write(u'''
    <input type="text" name="filfpos" size="4" value="''')
            _v = VFFSL(SL,"filfpos",True) # u'$filfpos' on line 75, col 55
            if _v is not None: write(_filter(_v, rawExpr=u'$filfpos')) # from line 75, col 55.
            write(u'''"
        class="check_input integer" data-errtext="''')
            if False:
                _("Must be an integer")
            _v = VFFSL(SL,"_",False)("Must be an integer") # u'$_("Must be an integer")' on line 76, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Must be an integer")')) # from line 76, col 51.
            write(u'''" />
    ''')
            if False:
                _("to")
            _v = VFFSL(SL,"_",False)("to") # u'$_("to")' on line 77, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("to")')) # from line 77, col 5.
            write(u'''
    <input type="text" name="filtpos" size="4" value="''')
            _v = VFFSL(SL,"filtpos",True) # u'$filtpos' on line 78, col 55
            if _v is not None: write(_filter(_v, rawExpr=u'$filtpos')) # from line 78, col 55.
            write(u'''"
        class="check_input integer" data-errtext="''')
            if False:
                _("Must be an integer")
            _v = VFFSL(SL,"_",False)("Must be an integer") # u'$_("Must be an integer")' on line 79, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Must be an integer")')) # from line 79, col 51.
            write(u'''" />
    <input type="checkbox" name="inclkwic" id="inclkwic" value="True"
        checked="checked" />
    <label for="inclkwic">''')
            if False:
                _("include KWIC")
            _v = VFFSL(SL,"_",False)("include KWIC") # u'$_("include KWIC")' on line 82, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$_("include KWIC")')) # from line 82, col 27.
            write(u'''</label>
    </td>
  </tr>
  </tbody>
''')
        _orig_filter_74099246 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"query_node",False)('', True) # u"$query_node('', True)" on line 88, col 1
        if _v is not None: write(_filter(_v, rawExpr=u"$query_node('', True)")) # from line 88, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_74099246
        write(u'''</table>

''')
        if VFFSL(SL,"TextTypeSel",True): # generated from line 92, col 1
            write(u'''  <fieldset class="advanced_options" id="texttypeel">
  <legend>''')
            if False:
                _("Text types")
            _v = VFFSL(SL,"_",False)("Text types") # u'$_("Text types")' on line 94, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Text types")')) # from line 94, col 11.
            write(u'''</legend>

''')
            _orig_filter_73125568 = _filter
            _filter = self._CHEETAH__initialFilter
            write(u'''  ''')
            _v = VFFSL(SL,"tt_sel",True) # u'$tt_sel' on line 97, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$tt_sel')) # from line 97, col 3.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_73125568
            write(u'''  </fieldset>
''')
        write(u'''
<div class="buttons">
  <input class="submit" type="submit" value="''')
        if False:
            _("Filter concordance")
        _v = VFFSL(SL,"_",False)("Filter concordance") # u'$_("Filter concordance")' on line 103, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Filter concordance")')) # from line 103, col 46.
        write(u'''" />
</div>

</form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_29425785
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2017  Pavel Rychly, Vojtech Kovar, Milos Jakubicek, Milos Husak, Vit Baisa
        write(u'''



''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_filter_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(filter_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(filter_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(filter_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=filter_form()).run()


