#!/usr/bin/env python
# -*- coding: UTF-8 -*-




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1519999310.065641
__CHEETAH_genTimestamp__ = 'Fri Mar  2 15:01:50 2018'
__CHEETAH_src__ = 'templates/first_form.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar  2 14:58:23 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class first_form(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(first_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 7, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Search corpus")
        _v = VFFSL(SL,"_",False)("Search corpus") # u'$_("Search corpus")' on line 8, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Search corpus")')) # from line 8, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 11, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''show_hide();loadHideElementStore();''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 15, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<link rel="stylesheet" href="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 16, col 30
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 16, col 30.
        write(u'''/css/cql_builder.css">

<script type="text/javascript">
jQuery(document).ready(function() {
''')
        if VFFSL(SL,"Aligned",True): # generated from line 20, col 3
            write(u"""  jQuery('input[name=sel_aligned]').change(function() {
    var val = jQuery(this).val();
    if (jQuery(this).is(':checked')) {
      jQuery('select[name=pcq_pos_neg_'+val+']').show();
      jQuery('#qtable_'+val).show();
    }
    else {
      jQuery('select[name=pcq_pos_neg_'+val+']').hide();
      jQuery('#qtable_'+val).hide();
    }
  });
  jQuery('.buttons').removeClass('hidden');
""")
        write(u'''  ''')
        #  hard-show CQL
        if VFFSL(SL,"queryselector",True) == 'cqlrow': # generated from line 34, col 3
            write(u"""      jQuery('tbody.advanced_query').show();
      jQuery('tbody.advanced_query tr:gt(0)').css('opacity', '0.3');
      jQuery('.buttons').removeClass('hidden');
      switch_active_row(jQuery('#cqlrow')[0], '', 'cql');
""")
        else: # generated from line 39, col 3
            write(u'''    restore_ff_state();
''')
        write(u'''});

var data = {
    "structures": {
''')
        for sa in VFFSL(SL,"StructAttrList",True): # generated from line 46, col 1
            sas = VFN(VFFSL(SL,"sa.n",True),"split",False)('.')
            write(u'''        "''')
            _v = VFFSL(SL,"sas",True)[0] # u'$sas[0]' on line 48, col 10
            if _v is not None: write(_filter(_v, rawExpr=u'$sas[0]')) # from line 48, col 10.
            write(u'''": {
            "''')
            _v = VFFSL(SL,"sas",True)[1] # u'$sas[1]' on line 49, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'$sas[1]')) # from line 49, col 14.
            write(u'''": []
        },
''')
        write(u'''    },
    "attributes" : {
''')
        for a in VFFSL(SL,"AttrList",True): # generated from line 54, col 1
            write(u'''        "''')
            _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 55, col 10
            if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 55, col 10.
            write(u'''" : {
            "''')
            _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 56, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 56, col 14.
            write(u'''" : []
        },
''')
        write(u'''    },
    "thesaurus" : {
        "lemma": {
            "lemma":[]
        },
        "lemma_lc": {
            "lemma_lc = lemma (lowercase)": []
        }
    },
    "relations": [],
    "parallelCorpora" : {
''')
        for a in VFFSL(SL,"Aligned",True): # generated from line 70, col 1
            write(u'''    "''')
            _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 71, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 71, col 6.
            write(u'''": "''')
            _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 71, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 71, col 14.
            write(u'''",
''')
        write(u'''    }
}
</script>
<script type="text/javascript" src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 76, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 76, col 37.
        write(u'''/js/cql_builder.js"></script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_expert(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_expert at line 79, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"getVar",False)('show_cup_menu', ''): # generated from line 80, col 3
            write(u'''  <li>
      <a id="switch_err_stand">''')
            if False:
                _("Std. query")
            _v = VFFSL(SL,"_",False)("Std. query") # u'$_("Std. query")' on line 82, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Std. query")')) # from line 82, col 32.
            write(u'''</a>
      <script type="text/javascript">
      jQuery(document).ready(function () {
            if (jQuery.cookies.get(\'errstdq\') !== \'std\') {
                jQuery(\'.buttons\').removeClass(\'hidden\');
                jQuery(\'.err_aux\').show();
            }
            jQuery(\'#switch_err_stand\').click(function () {
                if (jQuery(this).text() == \'''')
            if False:
                _("Std. query")
            _v = VFFSL(SL,"_",False)("Std. query") # u'$_("Std. query")' on line 90, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Std. query")')) # from line 90, col 45.
            write(u'''\') {
                    jQuery(\'#qnode_simple\').show();
                    var ff_main_state = jQuery.cookies.get(\'ff_main_state\') || \'iquery\';
                    if (ff_main_state != \'iquery\') {
                        switch_advanced(\'\');
                        switch_active_row(jQuery(\'#\'+ff_main_state+\'row\')[0],
                                \'\', ff_main_state);
                    }
                    else {
                        jQuery(\'input[name="iquery"]\').focus();
                    }
                    if (jQuery.cookies.get(\'contextel_view\') == \'show\' ||
                            jQuery.cookies.get(\'texttypeel_view\') == \'show\') {
                        jQuery(\'.buttons\').removeClass(\'hidden\');
                    }
                    jQuery(\'#cup_err_menu\').hide();
                    jQuery(\'#cup_err_code\').val(\'\');
                    jQuery(\'#cup_err\').val(\'\');
                    jQuery(\'#cup_corr\').val(\'\');
                    jQuery(this).text(\'''')
            if False:
                _("Error query")
            _v = VFFSL(SL,"_",False)("Error query") # u'$_("Error query")' on line 109, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Error query")')) # from line 109, col 40.
            write(u'''\');
                    jQuery.cookies.set("errstdq", "std", opts);
                    if (jQuery(\'#contextel\').is(\':hidden\')
                            && jQuery(\'#texttypeel\').is(\':hidden\')
                            && jQuery(\'tbody.advanced_query\').is(\':hidden\')
                            && !jQuery(\'fieldset.parallel\').length) {
                        jQuery(\'.buttons\').addClass(\'hidden\');
                    }
                    jQuery(\'.err_aux\').hide();
                    jQuery(\'#cup_err_code\').val(\'\');
                }
                else {
                    jQuery(\'#qnode_simple\').hide();
                    jQuery(\'#qnode_adv\').hide();
                    jQuery(\'#wnode_simple input\').val(\'\');
                    jQuery(\'#wnode_adv input\').val(\'\');
                    jQuery(\'#cup_err_menu\').show();
                    jQuery(this).text(\'''')
            if False:
                _("Std. query")
            _v = VFFSL(SL,"_",False)("Std. query") # u'$_("Std. query")' on line 126, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Std. query")')) # from line 126, col 40.
            write(u'''\');
                    jQuery.cookies.set("errstdq", "err", opts);
                    jQuery(\'.buttons\').removeClass(\'hidden\');
                    jQuery(\'.err_aux\').show();
                }
            });
      });
      </script>
''')
            if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 134, col 10
                write(u'''           <a href="''')
                _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 135, col 21
                if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 135, col 21.
                write(u'''concordance-query-error-query" rel="help"
               target="_blank" title=\'''')
                if False:
                    _("? Help on error query")
                _v = VFFSL(SL,"_",False)("? Help on error query") # u'$_("? Help on error query")' on line 136, col 39
                if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on error query")')) # from line 136, col 39.
                write(u'''\'>
             <i class="fa fa-question-circle"></i>
            </a>
''')
            write(u'''  </li>
''')
        write(u'''  <li>
      <a href="#" class="err_aux" onclick="toggle_view_store(\'contextel\');
        return false;">''')
        if False:
            _("Context")
        _v = VFFSL(SL,"_",False)("Context") # u'$_("Context")' on line 144, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Context")')) # from line 144, col 24.
        write(u'''</a>
  </li>
  <li><a href="#" class="err_aux" onclick="toggle_view_store(\'texttypeel\');
        return false;">''')
        if False:
            _("Text types")
        _v = VFFSL(SL,"_",False)("Text types") # u'$_("Text types")' on line 147, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Text types")')) # from line 147, col 24.
        write(u'''</a>
  </li>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 151, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
''')
        _orig_filter_72171517 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<form id="mainform" action="first" class="first_form">
<table class="form">
''')
        _orig_filter_84919369 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''  ''')
        _v = VFFSL(SL,"corp_sel_node",True) # u'$corp_sel_node' on line 157, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_sel_node')) # from line 157, col 3.
        write(u'''
  ''')
        _v = VFFSL(SL,"query_node",True) # u'$query_node' on line 158, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$query_node')) # from line 158, col 3.
        write(u'''
''')
        if VFFSL(SL,"getVar",False)('show_cup_menu', ''): # generated from line 159, col 1
            write(u'''    ''')
            _v = VFFSL(SL,"cup_err_menu",True) # u'$cup_err_menu' on line 160, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$cup_err_menu')) # from line 160, col 5.
            write(u'''
    <script type="text/javascript">
    jQuery(document).ready(function () {
        if (jQuery.cookies.get(\'errstdq\') == \'std\') {
            jQuery(\'#cup_err_menu\').hide();
            jQuery(\'#switch_err_stand\').text(\'''')
            if False:
                _("Error query")
            _v = VFFSL(SL,"_",False)("Error query") # u'$_("Error query")' on line 165, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Error query")')) # from line 165, col 47.
            write(u"""');
        }
        else {
            jQuery('#qnode_adv').hide();
            jQuery('#qnode_simple').hide();
        }
    });
    </script>
""")
        write(u'''</table>
''')
        if VFFSL(SL,"Aligned",True): # generated from line 175, col 1
            write(u'''  <fieldset class="parallel">
  <legend>''')
            if False:
                _('Parallel query')
            _v = VFFSL(SL,"_",False)('Parallel query') # u"$_('Parallel query')" on line 177, col 11
            if _v is not None: write(_filter(_v, rawExpr=u"$_('Parallel query')")) # from line 177, col 11.
            write(u'''</legend>
  <table class="form">
''')
            sel_aln = VFN(VFFSL(SL,"align",True),"split",False)(',')
            for a in VFFSL(SL,"Aligned",True): # generated from line 180, col 3
                write(u'''    <tr><td valign="top" colspan="2">
    <label><input type="checkbox" name="sel_aligned" value="''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 182, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 182, col 61.
                write(u'''"
            ''')
                if VFFSL(SL,"a.n",True) in VFFSL(SL,"sel_aln",True): # generated from line 183, col 13
                    write(u''' checked="checked" ''')
                write(u''' />
    <b>''')
                _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 184, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 184, col 8.
                write(u'''</b> (''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 184, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 184, col 22.
                write(u''')</label>
    <select name="pcq_pos_neg_''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 185, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 185, col 31.
                write(u'''" style="display:none;">
    <option value="pos">''')
                if False:
                    _('Contains')
                _v = VFFSL(SL,"_",False)('Contains') # u"$_('Contains')" on line 186, col 25
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Contains')")) # from line 186, col 25.
                write(u'''</option>
    <option value="neg">''')
                if False:
                    _('Does NOT contain')
                _v = VFFSL(SL,"_",False)('Does NOT contain') # u"$_('Does NOT contain')" on line 187, col 25
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Does NOT contain')")) # from line 187, col 25.
                write(u'''</option>
    </select>
    </td>
    </tr>
    <tr>
    <td>
    <table class="form" id="qtable_''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 193, col 36
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 193, col 36.
                write(u'''" style="display:none">''')
                _v = VFFSL(SL,"query_node",False)('_'+VFFSL(SL,"a.n",True)) # u"$query_node('_'+$a.n)" on line 193, col 63
                if _v is not None: write(_filter(_v, rawExpr=u"$query_node('_'+$a.n)")) # from line 193, col 63.
                write(u'''</table></td></tr>
''')
            write(u'''  </table>
  </fieldset>
''')
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_84919369
        if VFFSL(SL,"corp_doc",True): # generated from line 200, col 1
            write(u'''  <table><tr><td><a href="''')
            _v = VFFSL(SL,"corp_doc",True) # u'$corp_doc' on line 201, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_doc')) # from line 201, col 27.
            write(u'''" target="blank">''')
            if False:
                _("Corpus documentation")
            _v = VFFSL(SL,"_",False)("Corpus documentation") # u'$_("Corpus documentation")' on line 201, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus documentation")')) # from line 201, col 53.
            write(u'''</a></td></tr></table>
''')
        write(u'''
<fieldset class="advanced_options" id="contextel">
<legend>''')
        if False:
            _("Context")
        _v = VFFSL(SL,"_",False)("Context") # u'$_("Context")' on line 205, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Context")')) # from line 205, col 9.
        write(u'''</legend>

<fieldset>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 208, col 1
            write(u'''  <legend>''')
            if False:
                _("Lemma filter")
            _v = VFFSL(SL,"_",False)("Lemma filter") # u'$_("Lemma filter")' on line 209, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Lemma filter")')) # from line 209, col 11.
            write(u'''</legend>
''')
        else: # generated from line 210, col 1
            write(u'''  <legend>''')
            if False:
                _("Word form filter")
            _v = VFFSL(SL,"_",False)("Word form filter") # u'$_("Word form filter")' on line 211, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Word form filter")')) # from line 211, col 11.
            write(u'''</legend>
''')
        write(u'''  <table class="form">
    <tr>
      <th align="left">''')
        if False:
            _("Window")
        _v = VFFSL(SL,"_",False)("Window") # u'$_("Window")' on line 215, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Window")')) # from line 215, col 24.
        write(u''':</th>
      <td><select name="fc_lemword_window_type">
         <option value="left" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'left' : # generated from line 217, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("left")
        _v = VFFSL(SL,"_",False)("left") # u'$_("left")' on line 217, col 106
        if _v is not None: write(_filter(_v, rawExpr=u'$_("left")')) # from line 217, col 106.
        write(u'''</option>
         <option value="right" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'right' : # generated from line 218, col 32
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("right")
        _v = VFFSL(SL,"_",False)("right") # u'$_("right")' on line 218, col 108
        if _v is not None: write(_filter(_v, rawExpr=u'$_("right")')) # from line 218, col 108.
        write(u'''</option>
         <option value="both" ''')
        if VFFSL(SL,"fc_lemword_window_type",True) == 'both' : # generated from line 219, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("both")
        _v = VFFSL(SL,"_",False)("both") # u'$_("both")' on line 219, col 106
        if _v is not None: write(_filter(_v, rawExpr=u'$_("both")')) # from line 219, col 106.
        write(u'''</option>
       </select>
       <select name="fc_lemword_wsize">
         <option>1</option>
         <option>2</option>
         <option>3</option>
         <option>4</option>
         <option selected="selected">5</option>
         <option>7</option>
         <option>10</option>
         <option>15</option>
       </select>
       ''')
        if False:
            _("tokens")
        _v = VFFSL(SL,"_",False)("tokens") # u'$_("tokens")' on line 231, col 8
        if _v is not None: write(_filter(_v, rawExpr=u'$_("tokens")')) # from line 231, col 8.
        write(u'''.
      </td>
    </tr>
    <tr>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 235, col 1
            write(u'''      <th align="left">''')
            if False:
                _("Lemma(s)")
            _v = VFFSL(SL,"_",False)("Lemma(s)") # u'$_("Lemma(s)")' on line 236, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Lemma(s)")')) # from line 236, col 24.
            write(u''':</th>
''')
        else: # generated from line 237, col 1
            write(u'''      <th align="left">''')
            if False:
                _("Word form(s)")
            _v = VFFSL(SL,"_",False)("Word form(s)") # u'$_("Word form(s)")' on line 238, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Word form(s)")')) # from line 238, col 24.
            write(u''':</th>
''')
        write(u'''      <td>
      <input type="text" name="fc_lemword" class="fc_lemword" />
      <select name="fc_lemword_type">
         <option value="all" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'all' : # generated from line 243, col 30
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("all")
        _v = VFFSL(SL,"_",False)("all") # u'$_("all")' on line 243, col 97
        if _v is not None: write(_filter(_v, rawExpr=u'$_("all")')) # from line 243, col 97.
        write(u'''</option>
         <option value="any" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'any' : # generated from line 244, col 30
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("any")
        _v = VFFSL(SL,"_",False)("any") # u'$_("any")' on line 244, col 97
        if _v is not None: write(_filter(_v, rawExpr=u'$_("any")')) # from line 244, col 97.
        write(u'''</option>
         <option value="none" ''')
        if VFFSL(SL,"fc_lemword_type",True) == 'none' : # generated from line 245, col 31
            _v =  'selected="selected"' 
            if _v is not None: write(_filter(_v))
        else:
            _v =  ''
            if _v is not None: write(_filter(_v))
        write(u''' >''')
        if False:
            _("none")
        _v = VFFSL(SL,"_",False)("none") # u'$_("none")' on line 245, col 99
        if _v is not None: write(_filter(_v, rawExpr=u'$_("none")')) # from line 245, col 99.
        write(u'''</option>
       </select>
       ''')
        if False:
            _("of these items")
        _v = VFFSL(SL,"_",False)("of these items") # u'$_("of these items")' on line 247, col 8
        if _v is not None: write(_filter(_v, rawExpr=u'$_("of these items")')) # from line 247, col 8.
        write(u'''.
      </td>
    </tr>
  </table>
</fieldset>

''')
        if VFFSL(SL,"Wposlist",True): # generated from line 253, col 1
            write(u'''<fieldset>
  <legend>''')
            if False:
                _("PoS filter")
            _v = VFFSL(SL,"_",False)("PoS filter") # u'$_("PoS filter")' on line 255, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("PoS filter")')) # from line 255, col 11.
            write(u'''</legend>
  <table class="form">
    <tr>
      <th align="left">''')
            if False:
                _("Window")
            _v = VFFSL(SL,"_",False)("Window") # u'$_("Window")' on line 258, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Window")')) # from line 258, col 24.
            write(u''':</th>
      <td colspan="2"><select name="fc_pos_window_type">
         <option value="left" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'left' : # generated from line 260, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("left")
            _v = VFFSL(SL,"_",False)("left") # u'$_("left")' on line 260, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$_("left")')) # from line 260, col 102.
            write(u'''</option>
         <option value="right" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'right' : # generated from line 261, col 32
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("right")
            _v = VFFSL(SL,"_",False)("right") # u'$_("right")' on line 261, col 104
            if _v is not None: write(_filter(_v, rawExpr=u'$_("right")')) # from line 261, col 104.
            write(u'''</option>
         <option value="both" ''')
            if VFFSL(SL,"fc_pos_window_type",True) == 'both' : # generated from line 262, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("both")
            _v = VFFSL(SL,"_",False)("both") # u'$_("both")' on line 262, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$_("both")')) # from line 262, col 102.
            write(u'''</option>
       </select>
       <select name="fc_pos_wsize">
         <option>1</option>
         <option>2</option>
         <option>3</option>
         <option>4</option>
         <option selected="selected">5</option>
         <option>7</option>
         <option>10</option>
         <option>15</option>
       </select>
       ''')
            if False:
                _("tokens")
            _v = VFFSL(SL,"_",False)("tokens") # u'$_("tokens")' on line 274, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("tokens")')) # from line 274, col 8.
            write(u'''.
      </td>
    </tr>
    <tr>
      <th align="left" valign="top">''')
            if False:
                _("PoS")
            _v = VFFSL(SL,"_",False)("PoS") # u'$_("PoS")' on line 278, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$_("PoS")')) # from line 278, col 37.
            write(u''':</th>
    <td>
      <div class="multiple_choice">
''')
            for w in VFFSL(SL,"Wposlist",True): # generated from line 281, col 9
                write(u'''        <label for="ml_''')
                _v = VFFSL(SL,"w.n",True) # u'$w.n' on line 282, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$w.n')) # from line 282, col 24.
                write(u'''"><input type="checkbox" name="fc_pos" value="''')
                _v = VFFSL(SL,"w.n",True) # u'$w.n' on line 282, col 74
                if _v is not None: write(_filter(_v, rawExpr=u'$w.n')) # from line 282, col 74.
                write(u'''" id="ml_''')
                _v = VFFSL(SL,"w.n",True) # u'$w.n' on line 282, col 87
                if _v is not None: write(_filter(_v, rawExpr=u'$w.n')) # from line 282, col 87.
                write(u'''"/>''')
                _v = VFFSL(SL,"w.n",True) # u'$w.n' on line 282, col 94
                if _v is not None: write(_filter(_v, rawExpr=u'$w.n')) # from line 282, col 94.
                write(u'''</label>
''')
            write(u'''      </div>
      <script type="text/javascript">
        jQuery(document).ready(function () {
          jQuery(\'[id^="ml_"]\').change(function () { jQuery(this).parent().toggleClass(\'sel\'); });
          jQuery(\'label[for^="ml_"]\').mouseenter(function () { jQuery(this).addClass(\'over\'); });
          jQuery(\'label[for^="ml_"]\').mouseout(function () { jQuery(this).removeClass(\'over\'); });
        });
      </script>
    </td>
    <td valign="top">
      <select name="fc_pos_type">
         <option value="all" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'all' : # generated from line 295, col 30
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("all")
            _v = VFFSL(SL,"_",False)("all") # u'$_("all")' on line 295, col 93
            if _v is not None: write(_filter(_v, rawExpr=u'$_("all")')) # from line 295, col 93.
            write(u'''</option>
         <option value="any" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'any' : # generated from line 296, col 30
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("any")
            _v = VFFSL(SL,"_",False)("any") # u'$_("any")' on line 296, col 93
            if _v is not None: write(_filter(_v, rawExpr=u'$_("any")')) # from line 296, col 93.
            write(u'''</option>
         <option value="none" ''')
            if VFFSL(SL,"fc_pos_type",True) == 'none' : # generated from line 297, col 31
                _v =  'selected="selected"' 
                if _v is not None: write(_filter(_v))
            else:
                _v =  ''
                if _v is not None: write(_filter(_v))
            write(u''' >''')
            if False:
                _("none")
            _v = VFFSL(SL,"_",False)("none") # u'$_("none")' on line 297, col 95
            if _v is not None: write(_filter(_v, rawExpr=u'$_("none")')) # from line 297, col 95.
            write(u'''</option>
       </select>
       ''')
            if False:
                _("of these items")
            _v = VFFSL(SL,"_",False)("of these items") # u'$_("of these items")' on line 299, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("of these items")')) # from line 299, col 8.
            write(u'''.
      </td>
    </tr>
  </table>
  </fieldset>
''')
        write(u'''</fieldset>

''')
        if VFFSL(SL,"TextTypeSel",True): # generated from line 307, col 1
            write(u'''  <fieldset class="advanced_options" id="texttypeel">
  <legend>''')
            if False:
                _("Text types")
            _v = VFFSL(SL,"_",False)("Text types") # u'$_("Text types")' on line 309, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Text types")')) # from line 309, col 11.
            write(u'''</legend>

  <table><tr>
  <th>
  <span>''')
            if False:
                _("Subcorpus")
            _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 313, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 313, col 9.
            write(u''':</span>
''')
            _orig_filter_54170005 = _filter
            _filter = self._CHEETAH__initialFilter
            write(u'''  ''')
            _v = VFFSL(SL,"subcorp_sel",True) # u'$subcorp_sel' on line 315, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$subcorp_sel')) # from line 315, col 3.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_54170005
            write(u'''  </th></tr>
<tr><td>

''')
            _orig_filter_82093502 = _filter
            _filter = self._CHEETAH__initialFilter
            _v = VFFSL(SL,"tt_sel",True) # u'$tt_sel' on line 321, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$tt_sel')) # from line 321, col 1.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_82093502
            write(u'''
</td></tr>
</table>
</fieldset>
''')
        write(u'''
<div class="buttons hidden">
<input class="submit long_process_warning" type="submit"
    value="''')
        if False:
            _('Make Concordance')
        _v = VFFSL(SL,"_",False)('Make Concordance') # u"$_('Make Concordance')" on line 331, col 12
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Make Concordance')")) # from line 331, col 12.
        write(u'''" />
<input class="button" type="button" value="''')
        if False:
            _('Clear All')
        _v = VFFSL(SL,"_",False)('Clear All') # u"$_('Clear All')" on line 332, col 44
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Clear All')")) # from line 332, col 44.
        write(u'''"
    onclick="clear_form(\'mainform\');" />
</div>
</form>

''')
        _orig_filter_38865508 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"cql_builder",True) # u'$cql_builder' on line 338, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$cql_builder')) # from line 338, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_38865508
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_72171517
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2017  Pavel Rychly, Vojtech Kovar, Milos Jakubicek, Milos Husak, Vit Baisa
        write(u'''





''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_first_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(first_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(first_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(first_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=first_form()).run()


