#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1519999309.957154
__CHEETAH_genTimestamp__ = 'Fri Mar  2 15:01:49 2018'
__CHEETAH_src__ = 'templates/freq.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar  2 14:58:23 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class freq(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(freq, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 6, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Frequency")
        _v = VFFSL(SL,"_",False)("Frequency") # u'$_("Frequency")' on line 7, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency")')) # from line 7, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_10453315 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''
''')
        if VFFSL(SL,"getVar",False)('Err_fcrits', ''): # generated from line 13, col 1
            write(u'''<h3>''')
            if False:
                _("Top error lists")
            _v = VFFSL(SL,"_",False)("Top error lists") # u'$_("Top error lists")' on line 14, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Top error lists")')) # from line 14, col 5.
            write(u'''</h3>
''')
            for label, fcrit in VFFSL(SL,"Err_fcrits",True): # generated from line 15, col 3
                alt_head = ''
                for ii, ll in VFFSL(SL,"enumerate",False)(VFFSL(SL,"label",True)): # generated from line 17, col 5
                    alt_head = 'alt_head%d=%s;%s' % (VFFSL(SL,"ii",True), VFFSL(SL,"ll",True), VFFSL(SL,"alt_head",True))
                write(u'''    <a href="freqs?''')
                _v = VFFSL(SL,"globals",True) # u'$globals' on line 20, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 20, col 20.
                write(u''';''')
                _v = VFFSL(SL,"new_q",True) # u'$new_q' on line 20, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$new_q')) # from line 20, col 29.
                write(u''';fcrit=''')
                _v = VFFSL(SL,"urlquote",False)(VFFSL(SL,"fcrit",True)) # u'$urlquote($fcrit)' on line 20, col 42
                if _v is not None: write(_filter(_v, rawExpr=u'$urlquote($fcrit)')) # from line 20, col 42.
                write(u''';''')
                _v = VFFSL(SL,"alt_head",True) # u'$alt_head' on line 20, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$alt_head')) # from line 20, col 60.
                write(u''';freq_sort=freq;ml=1;examples=1">
    ''')
                _v = ' + '.join(VFFSL(SL,"label",True)) # u"${' + '.join($label)}" on line 21, col 5
                if _v is not None: write(_filter(_v, rawExpr=u"${' + '.join($label)}")) # from line 21, col 5.
                write(u'''</a><br/>
''')
            write(u'''  <br/>
''')
        write(u'''
<h3>''')
        if False:
            _("Multilevel frequency distribution")
        _v = VFFSL(SL,"_",False)("Multilevel frequency distribution") # u'$_("Multilevel frequency distribution")' on line 26, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Multilevel frequency distribution")')) # from line 26, col 5.
        write(u'''
''')
        if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 27, col 5
            write(u'''    <a href="''')
            _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 28, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 28, col 14.
            write(u'''user-guide/user-manual/concordance-introduction/working-with-concordance-results/#toggle-id-14"
        rel="help" title=\'''')
            if False:
                _("? Help on frequency form")
            _v = VFFSL(SL,"_",False)("? Help on frequency form") # u'$_("? Help on frequency form")' on line 29, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on frequency form")')) # from line 29, col 27.
            write(u'''\' target="_blank" name="help_icon" id="help_icon">
      <i class="fa fa-question-circle"></i>
    </a>
''')
        write(u'''</h3>

<form action="freqml">
''')
        _orig_filter_82610291 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 37, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 37, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_82610291
        write(u'''  <input type="hidden" name="ml" value="1" />
  ''')
        if False:
            _("Frequency limit")
        _v = VFFSL(SL,"_",False)("Frequency limit") # u'$_("Frequency limit")' on line 40, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency limit")')) # from line 40, col 3.
        write(u''':
  <input type="text" name="flimit" value="''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 41, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 41, col 43.
        write(u'''"
    size="7" class="check_input pos_integer_zero"
    data-errtext="''')
        if False:
            _("Must be a positive integer or zero")
        _v = VFFSL(SL,"_",False)("Must be a positive integer or zero") # u'$_("Must be a positive integer or zero")' on line 43, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Must be a positive integer or zero")')) # from line 43, col 19.
        write(u'''" /><br/>
  <hr/>
<table rules="cols" cellpadding="5"><tr>
''')
        if False:
            _("first level")
        if False:
            _("second level")
        if False:
            _("third level")
        if False:
            _("fourth level")
        for i, label in enumerate([VFFSL(SL,"_",False)("first level"), VFFSL(SL,"_",False)("second level"),                            VFFSL(SL,"_",False)("third level"), VFFSL(SL,"_",False)("fourth level")]): # generated from line 46, col 1
            ii = VFFSL(SL,"i",True)+1
            write(u'''<td onclick="check_child_radio(this)">
  <label><input type="radio" name="freqlevel" value="''')
            _v = VFFSL(SL,"ii",True) # u'$ii' on line 50, col 54
            if _v is not None: write(_filter(_v, rawExpr=u'$ii')) # from line 50, col 54.
            write(u'''"
''')
            if VFFSL(SL,"freqlevel",True) == VFFSL(SL,"ii",True): # generated from line 51, col 3
                write(u'''    checked="checked"
''')
            write(u'''  /> ''')
            _v = VFFSL(SL,"label",True) # u'$label' on line 54, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$label')) # from line 54, col 6.
            write(u'''</label><br/>
  ''')
            if False:
                _("Attribute")
            _v = VFFSL(SL,"_",False)("Attribute") # u'$_("Attribute")' on line 55, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Attribute")')) # from line 55, col 3.
            write(u''': <select name="ml''')
            _v = VFFSL(SL,"ii",True) # u'${ii}' on line 55, col 36
            if _v is not None: write(_filter(_v, rawExpr=u'${ii}')) # from line 55, col 36.
            write(u'''attr">
''')
            for a in VFFSL(SL,"AttrList",True): # generated from line 56, col 3
                write(u'''    <option value="''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 57, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 57, col 20.
                write(u'''">''')
                _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 57, col 26
                if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 57, col 26.
                write(u'''</option>
''')
            write(u'''  </select><br/>   
  <label>''')
            if False:
                _("Ignore case")
            _v = VFFSL(SL,"_",False)("Ignore case") # u'$_("Ignore case")' on line 60, col 10
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Ignore case")')) # from line 60, col 10.
            write(u''' <input type="checkbox" name="ml''')
            _v = VFFSL(SL,"ii",True) # u'${ii}' on line 60, col 59
            if _v is not None: write(_filter(_v, rawExpr=u'${ii}')) # from line 60, col 59.
            write(u'''icase" value="i"
  ''')
            if VFFSL(SL,"getVar",False)('ml%dicase'%VFFSL(SL,"ii",True)) : # generated from line 61, col 3
                _v =  checked="checked" 
                if _v is not None: write(_filter(_v))
            else:
                _v =  '' 
                if _v is not None: write(_filter(_v))
            write(u'''
  /></label><br/>
  ''')
            if False:
                _("Position")
            _v = VFFSL(SL,"_",False)("Position") # u'$_("Position")' on line 63, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Position")')) # from line 63, col 3.
            write(u''': <select name="ml''')
            _v = VFFSL(SL,"ii",True) # u'${ii}' on line 63, col 35
            if _v is not None: write(_filter(_v, rawExpr=u'${ii}')) # from line 63, col 35.
            write(u'''ctx" size="9">
''')
            for p in VFFSL(SL,"Pos_ctxs",True): # generated from line 64, col 3
                write(u'''    <option value="''')
                _v = VFFSL(SL,"p.ctx",True) # u'$p.ctx' on line 65, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$p.ctx')) # from line 65, col 20.
                write(u'''"
''')
                if VFFSL(SL,"p.ctx",True) == VFFSL(SL,"ml1ctx",True): # generated from line 66, col 5
                    write(u'''      selected="selected"
''')
                write(u'''    >''')
                _v = VFFSL(SL,"p.n",True) # u'$p.n' on line 69, col 6
                if _v is not None: write(_filter(_v, rawExpr=u'$p.n')) # from line 69, col 6.
                write(u'''</option>
''')
            write(u'''  </select>
</td>
''')
        write(u'''</tr></table>
<div class="buttons">
  <input class="submit" type="submit" value="''')
        if False:
            _("Make frequency list")
        _v = VFFSL(SL,"_",False)("Make frequency list") # u'$_("Make frequency list")' on line 76, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Make frequency list")')) # from line 76, col 46.
        write(u'''" />
</div>
</form>

''')
        if VFFSL(SL,"StructAttrList",True): # generated from line 80, col 1
            write(u'''<h3>''')
            if False:
                _("Text type frequency distribution")
            _v = VFFSL(SL,"_",False)("Text type frequency distribution") # u'$_("Text type frequency distribution")' on line 81, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Text type frequency distribution")')) # from line 81, col 5.
            write(u'''</h3>
<form action="freqtt">
''')
            _orig_filter_44469521 = _filter
            _filter = self._CHEETAH__initialFilter
            _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 84, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 84, col 1.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_44469521
            write(u'''<table class="form">
  <tr>
    <th>''')
            if False:
                _("Frequency limit")
            _v = VFFSL(SL,"_",False)("Frequency limit") # u'$_("Frequency limit")' on line 88, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency limit")')) # from line 88, col 9.
            write(u''':</th>
    <td><input type="text" name="flimit" value="''')
            _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 89, col 49
            if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 89, col 49.
            write(u'''" size="7"
        class="check_input pos_integer_zero"
        data-errtext="''')
            if False:
                _("Must be a positive integer or zero")
            _v = VFFSL(SL,"_",False)("Must be a positive integer or zero") # u'$_("Must be a positive integer or zero")' on line 91, col 23
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Must be a positive integer or zero")')) # from line 91, col 23.
            write(u'''" /></td>
  </tr>
  <tr>
    <th><label for="ftt_include_empty">''')
            if False:
                _("Include categories with no hits")
            _v = VFFSL(SL,"_",False)("Include categories with no hits") # u'$_("Include categories with no hits")' on line 94, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Include categories with no hits")')) # from line 94, col 40.
            write(u''':</label></th>
    <td><input type="checkbox" name="ftt_include_empty" id="ftt_include_empty" /></td>
  </tr>
  <tr>
  <td colspan="2">
  <select name="fttattr" size="8" multiple="multiple">
''')
            for s in VFFSL(SL,"StructAttrList",True): # generated from line 100, col 3
                write(u'''    <option value="''')
                _v = VFFSL(SL,"s.n",True) # u'$s.n' on line 101, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$s.n')) # from line 101, col 20.
                write(u'''">''')
                _v = VFFSL(SL,"s.label",True) # u'$s.label' on line 101, col 26
                if _v is not None: write(_filter(_v, rawExpr=u'$s.label')) # from line 101, col 26.
                write(u'''</option>
''')
            write(u'''  </select></td>
  </tr>
</table>

<div class="buttons">
  <input class="submit" type="submit" value="''')
            if False:
                _("Make frequency list")
            _v = VFFSL(SL,"_",False)("Make frequency list") # u'$_("Make frequency list")' on line 108, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Make frequency list")')) # from line 108, col 46.
            write(u'''" />
</div>
</form>
''')
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_10453315
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2017  Pavel Rychly, Vojtech Kovar, Milos Jakubicek, Milos Husak, Vit Baisa
        write(u'''


''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_freq= 'writeBody'

## END CLASS DEFINITION

if not hasattr(freq, '_initCheetahAttributes'):
    templateAPIClass = getattr(freq, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(freq)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=freq()).run()


