#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1519999310.384391
__CHEETAH_genTimestamp__ = 'Fri Mar  2 15:01:50 2018'
__CHEETAH_src__ = 'templates/freq_distrib.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar  2 14:58:23 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class freq_distrib(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(freq_distrib, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Frequency distribution")
        _v = VFFSL(SL,"_",False)("Frequency distribution") # u'$_("Frequency distribution")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency distribution")')) # from line 5, col 1.
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def freq_distrib(self, **KWS):



        ## CHEETAH: generated from #def freq_distrib at line 8, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 11, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 12, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 12, col 14.
        write(u'''/js/d3.v3.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 13, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 13, col 14.
        write(u'''/js/d3.lib.js?version=''')
        _v = VFFSL(SL,"_bonito_version",True) # u'$_bonito_version' on line 13, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$_bonito_version')) # from line 13, col 47.
        write(u'''" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 14, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 14, col 14.
        write(u'''/js/jquery.nouislider.js" type="text/javascript"></script>
<style type="text/css">
.axis path, .axis line {
    fill: none;
    stroke: #CCC;
    shape-rendering: crispEdges;
}
.axis text.legend {
    display: block;
    fill: black !important;
}
.axis text {
    fill: #555;
}
.bar {
    fill: #4682B4;
}
.bar.active {
    fill: #B22222;
    cursor: pointer;
}
</style>
<script type="text/javascript">
jQuery(document).ready(function () {
  draw_freq_distrib(''')
        _v = VFFSL(SL,"dots",True) # u'$dots' on line 38, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$dots')) # from line 38, col 21.
        write(u""", 'view?""")
        _v = VFFSL(SL,"q",True) # u'$q' on line 38, col 34
        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 38, col 34.
        write(u''';''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 38, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 38, col 37.
        write(u""";q=p0+0+1+[%23',
      '""")
        if False:
            _("Corpus positions")
        _v = VFFSL(SL,"_",False)("Corpus positions") # u'$_("Corpus positions")' on line 39, col 8
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus positions")')) # from line 39, col 8.
        write(u"""', '""")
        if False:
            _("Frequency")
        _v = VFFSL(SL,"_",False)("Frequency") # u'$_("Frequency")' on line 39, col 34
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency")')) # from line 39, col 34.
        write(u"""');
  jQuery('.noUiSlider').noUiSlider({
    range: [100, 1000],
    handles: 1,
    step: 100,
    start: [""")
        _v = VFFSL(SL,"granularity",True) # u'$granularity' on line 44, col 13
        if _v is not None: write(_filter(_v, rawExpr=u'$granularity')) # from line 44, col 13.
        write(u'''],
    serialization: {
      to: [jQuery(\'[name="text_granularity"]\')],
      resolution: 1
    }
  });
});

function redraw() {
  var granularity = jQuery(\'input[name="text_granularity"]\').val();
  jQuery.ajax({
    url: \'freq_distrib?''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 55, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 55, col 24.
        write(u''';''')
        _v = VFFSL(SL,"q",True) # u'$q' on line 55, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 55, col 33.
        write(u""";format=json;res=' + granularity,
    complete: function (d) {
      try {
        eval('var response =' + d.responseText);
        if (response.hasOwnProperty('dots')) {
          jQuery('#svg_plot').empty();
          draw_freq_distrib(response.dots, 'view?""")
        _v = VFFSL(SL,"q",True) # u'$q' on line 61, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 61, col 50.
        write(u''';''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 61, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 61, col 53.
        write(u""";q=p0+0+1+[%23',
              '""")
        if False:
            _("Concordance positions")
        _v = VFFSL(SL,"_",False)("Concordance positions") # u'$_("Concordance positions")' on line 62, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Concordance positions")')) # from line 62, col 16.
        write(u"""', '""")
        if False:
            _("Frequency")
        _v = VFFSL(SL,"_",False)("Frequency") # u'$_("Frequency")' on line 62, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency")')) # from line 62, col 47.
        write(u"""');
        }
      }
      catch (err) { }
    }
  });
}
</script>
""")
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #block main at line 72, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_42178380 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<h3>''')
        if False:
            _("Frequency distribution over concordance positions")
        _v = VFFSL(SL,"_",False)("Frequency distribution over concordance positions") # u'$_("Frequency distribution over concordance positions")' on line 74, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency distribution over concordance positions")')) # from line 74, col 5.
        write(u'''</h3>

<div id="svg_plot"></div>

<br />

<form id="freqdist_granularity">
  <label>''')
        if False:
            _('Granularity')
        _v = VFFSL(SL,"_",False)('Granularity') # u"$_('Granularity')" on line 81, col 10
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Granularity')")) # from line 81, col 10.
        write(u''':</label>
  <input type="text" size="4" name="text_granularity" value="''')
        _v = VFFSL(SL,"granularity",True) # u'$granularity' on line 82, col 62
        if _v is not None: write(_filter(_v, rawExpr=u'$granularity')) # from line 82, col 62.
        write(u'''" />
  <div class="noUiSlider"></div>
  <input type="submit" value="''')
        if False:
            _('Redraw')
        _v = VFFSL(SL,"_",False)('Redraw') # u"$_('Redraw')" on line 84, col 31
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Redraw')")) # from line 84, col 31.
        write(u'''" onclick="redraw(); return false;" />
</form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_42178380
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''



''')
        self.main(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_freq_distrib= 'writeBody'

## END CLASS DEFINITION

if not hasattr(freq_distrib, '_initCheetahAttributes'):
    templateAPIClass = getattr(freq_distrib, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(freq_distrib)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=freq_distrib()).run()


