#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.conc import conc

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1519999310.084246
__CHEETAH_genTimestamp__ = 'Fri Mar  2 15:01:50 2018'
__CHEETAH_src__ = 'templates/freqs.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar  2 14:58:23 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class freqs(conc):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(freqs, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 6, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"methodname",True) == 'struct_wordlist': # generated from line 7, col 1
            self._CHEETAH__globalSetVars["methodhref"] = VFFSL(SL,"methodname",True)
            self._CHEETAH__globalSetVars["arghref"] = '%s;%s;flimit=%s;freq_sort=%s;ml=%s;fpage=%s;wlcache=%s;blcache=%s;ftt_include_empty=%s;wlpat=%s;wlattr=%s;include_nonwords=%s' % (VFFSL(SL,"globals",True), VFFSL(SL,"fcrit",True), VFFSL(SL,"flimit",True), VFFSL(SL,"freq_sort",True), VFFSL(SL,"ml",True), VFFSL(SL,"fpage",True), VFFSL(SL,"wlcache",True), VFFSL(SL,"blcache",True), VFFSL(SL,"ftt_include_empty",True), VFFSL(SL,"wlpat",True), VFFSL(SL,"wlattr",True), VFFSL(SL,"include_nonwords",True))
        else: # generated from line 10, col 1
            self._CHEETAH__globalSetVars["methodhref"] = 'freqs'
            self._CHEETAH__globalSetVars["arghref"] = '%s;%s;%s;flimit=%s;freq_sort=%s;ml=%s;fpage=%s;ftt_include_empty=%s;examples=%s' % (VFFSL(SL,"q",True), VFFSL(SL,"globals",True), VFFSL(SL,"fcrit",True), VFFSL(SL,"flimit",True), VFFSL(SL,"freq_sort",True), VFFSL(SL,"ml",True), VFFSL(SL,"fpage",True), VFFSL(SL,"ftt_include_empty",True), VFFSL(SL,"examples",True))
        self._CHEETAH__globalSetVars["allhref"] = VFFSL(SL,"methodhref",True)+ '?' +VFFSL(SL,"arghref",True)
        write(u'''
''')
        if False:
            _("Frequency list")
        _v = VFFSL(SL,"_",False)("Frequency list") # u'$_("Frequency list")' on line 16, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency list")')) # from line 16, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 19, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"examples",True): # generated from line 20, col 1
            write(u'''<link rel="stylesheet" type="text/css" href="''')
            _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 21, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 21, col 46.
            write(u'''/css/view.css?version=''')
            _v = VFFSL(SL,"_bonito_version",True) # u'$_bonito_version' on line 21, col 79
            if _v is not None: write(_filter(_v, rawExpr=u'$_bonito_version')) # from line 21, col 79.
            write(u'''" />
<script type="text/javascript">
function escape(s) {
  return s.replace(/&/g,\'&amp;\').replace(/</g,\'&lt;\').replace(/>/g,\'&gt;\');
}

jQuery(document).ready(function () {
  jQuery(\'.example\').each(function () {
    var url = jQuery(this).attr(\'data-url\');
    jQuery.ajax({
        url: url,
        elem: jQuery(this),
        success: function (data) {
          var line = data.Lines[0];
          var result = \'\';
          for (i = 0; i < line.Left.length; i++) {
            var ll = line.Left[i];
            result += \'<span class="\' + ll.class + \'">\' + escape(ll.str) + \'</span> \';
          }
          for (i = 0; i < line.Kwic.length; i++) {
            var ll = line.Kwic[i];
            result += \'<span class="\' + ll.class + \'">\' + escape(ll.str) + \'</span> \';
          }
          for (i = 0; i < line.Right.length; i++) {
            var ll = line.Right[i];
            result += \'<span class="\' + ll.class + \'">\' + escape(ll.str) + \'</span> \';
          }
          this.elem.html(\'<i>\' + result + \'</i>\');
        }
    });
  });
});
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_options(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_options at line 57, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_93927808 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if VFFSL(SL,"methodname",True)=='struct_wordlist': # generated from line 59, col 1
            write(u'''  <li><a href="wordlist_form?''')
            _v = VFFSL(SL,"arghref",True) # u'$arghref' on line 60, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$arghref')) # from line 60, col 30.
            write(u'''">''')
            if False:
                _("Change options")
            _v = VFFSL(SL,"_",False)("Change options") # u'$_("Change options")' on line 60, col 40
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Change options")')) # from line 60, col 40.
            write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_93927808
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_save(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_save at line 65, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_21269599 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<li><a title="''')
        if False:
            _("Save frequency list to a text file or XML")
        _v = VFFSL(SL,"_",False)("Save frequency list to a text file or XML") # u'$_("Save frequency list to a text file or XML")' on line 67, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save frequency list to a text file or XML")')) # from line 67, col 15.
        write(u'''" href="savefreq_form?''')
        _v = VFFSL(SL,"arghref",True) # u'$arghref' on line 67, col 84
        if _v is not None: write(_filter(_v, rawExpr=u'$arghref')) # from line 67, col 84.
        write(u'''">''')
        if False:
            _("Save")
        _v = VFFSL(SL,"_",False)("Save") # u'$_("Save")' on line 67, col 94
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Save")')) # from line 67, col 94.
        write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_21269599
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def navigation(self, navid="next", **KWS):



        ## CHEETAH: generated from #block navigation($navid="next") at line 107, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"paging",True) and (VFFSL(SL,"fpage",True) > 1 or not VFFSL(SL,"lastpage",True)): # generated from line 108, col 1
            write(u'''<div class="bonito-pagination">
<form action="''')
            _v = VFFSL(SL,"methodhref",True) # u'$methodhref' on line 110, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$methodhref')) # from line 110, col 15.
            write(u'''">
''')
            if VFFSL(SL,"fpage",True) > 1: # generated from line 111, col 3
                write(u'''    <div class="bonito-pagination-left">
    <a href="''')
                _v = VFFSL(SL,"url_sub",False)(VFFSL(SL,"allhref",True), 'fpage', 1) # u"$url_sub($allhref, 'fpage', 1)" on line 113, col 14
                if _v is not None: write(_filter(_v, rawExpr=u"$url_sub($allhref, 'fpage', 1)")) # from line 113, col 14.
                write(u'''">''')
                if False:
                    _("<< First")
                _v = VFFSL(SL,"_",False)("<< First") # u'$_("<< First")' on line 113, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$_("<< First")')) # from line 113, col 46.
                write(u'''</a> |
    <a href="''')
                _v = VFFSL(SL,"url_sub",False)(VFFSL(SL,"allhref",True), 'fpage', int(VFFSL(SL,"fpage",True)) - 1) # u"$url_sub($allhref, 'fpage', int($fpage) - 1)" on line 114, col 14
                if _v is not None: write(_filter(_v, rawExpr=u"$url_sub($allhref, 'fpage', int($fpage) - 1)")) # from line 114, col 14.
                write(u'''">''')
                if False:
                    _("< Previous")
                _v = VFFSL(SL,"_",False)("< Previous") # u'$_("< Previous")' on line 114, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$_("< Previous")')) # from line 114, col 60.
                write(u'''</a>
    </div>
''')
            write(u'''
<div class="bonito-pagination-core">
''')
            _orig_filter_85836734 = _filter
            _filter = self._CHEETAH__initialFilter
            write(u'''  ''')
            _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 120, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 120, col 3.
            write(u'''
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_85836734
            write(u'''    <input type="hidden" name="wlpat" value="''')
            _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 122, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 122, col 46.
            write(u'''" />
    <input type="hidden" name="wlattr" value="''')
            _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 123, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 123, col 47.
            write(u'''" />
''')
            for fcr in VFFSL(SL,"FCrit",True): # generated from line 124, col 3
                write(u'''    <input type="hidden" name="fcrit" value="''')
                _v = VFFSL(SL,"fcr.fcrit",True) # u'$fcr.fcrit' on line 125, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$fcr.fcrit')) # from line 125, col 46.
                write(u'''" />
''')
            write(u'''    <input type="hidden" name="flimit" value=\'''')
            _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 127, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 127, col 47.
            write(u'''\' />
    <input type="hidden" name="freq_sort" value=\'''')
            _v = VFFSL(SL,"freq_sort",True) # u'$freq_sort' on line 128, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$freq_sort')) # from line 128, col 50.
            write(u'''\' />
    <input type="hidden" name="ml" value=\'''')
            _v = VFFSL(SL,"ml",True) # u'$ml' on line 129, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 129, col 43.
            write(u'''\' />
    <input type="hidden" name="examples" value="''')
            _v = VFFSL(SL,"examples",True) # u'$examples' on line 130, col 49
            if _v is not None: write(_filter(_v, rawExpr=u'$examples')) # from line 130, col 49.
            write(u'''" />

    ''')
            if False:
                _("Page")
            _v = VFFSL(SL,"_",False)("Page") # u'$_("Page")' on line 132, col 5
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Page")')) # from line 132, col 5.
            write(u'''
    <input type="text" name="fpage" value="''')
            _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 133, col 44
            if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 133, col 44.
            write(u'''" size="4"
        class="check_input pos_integer"
        data-errtext="Page must be a positive integer")" />
    <input type="submit" value="''')
            if False:
                _("Go")
            _v = VFFSL(SL,"_",False)("Go") # u'$_("Go")' on line 136, col 33
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Go")')) # from line 136, col 33.
            write(u'''" /> 
</div>
  
''')
            if not VFFSL(SL,"lastpage",True): # generated from line 139, col 3
                write(u'''  <div class="bonito-pagination-right">
    <a href="''')
                _v = VFFSL(SL,"allhref",True) # u'$allhref' on line 141, col 14
                if _v is not None: write(_filter(_v, rawExpr=u'$allhref')) # from line 141, col 14.
                write(u''';fpage=''')
                _v = VFFSL(SL,"int",False)(VFFSL(SL,"fpage",True)) + 1 # u'$(int($fpage) + 1)' on line 141, col 29
                if _v is not None: write(_filter(_v, rawExpr=u'$(int($fpage) + 1)')) # from line 141, col 29.
                write(u'''" id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 141, col 53
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 141, col 53.
                write(u'''">''')
                if False:
                    _("Next >")
                _v = VFFSL(SL,"_",False)("Next >") # u'$_("Next >")' on line 141, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Next >")')) # from line 141, col 61.
                write(u'''</a>
  </div>
''')
            else: # generated from line 143, col 3
                write(u'''  <a id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 144, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 144, col 10.
                write(u'''"></a>
''')
            write(u'''</form>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 71, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_91331333 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<h3>''')
        if False:
            _("Frequency list")
        _v = VFFSL(SL,"_",False)("Frequency list") # u'$_("Frequency list")' on line 73, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency list")')) # from line 73, col 5.
        write(u'''</h3>
''')
        if VFFSL(SL,"concsize",True) != VFFSL(SL,"fullsize",True): # generated from line 74, col 1
            write(u'''  <p>
''')
            if VFFSL(SL,"q",True)[2] == "R": # generated from line 76, col 2
                write(u'''\t\t''')
                if False:
                    _("Using random")
                _v = VFFSL(SL,"_",False)("Using random") # u'$_("Using random")' on line 77, col 3
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Using random")')) # from line 77, col 3.
                write(u''' <span class="add_commas">''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 77, col 47
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 77, col 47.
                write(u'''</span> ''')
                if False:
                    _("lines only")
                _v = VFFSL(SL,"_",False)("lines only") # u'$_("lines only")' on line 77, col 64
                if _v is not None: write(_filter(_v, rawExpr=u'$_("lines only")')) # from line 77, col 64.
                write(u'''.''')
            else: # generated from line 78, col 2
                rallhref = VFFSL(SL,"methodhref",True) + '?' + VFFSL(SL,"url_sub",False)(VFFSL(SL,"arghref",True), "q", "R" + VFFSL(SL,"q",True)[2:])
                write(u'''\t\t''')
                if False:
                    _("Using first")
                _v = VFFSL(SL,"_",False)("Using first") # u'$_("Using first")' on line 80, col 3
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Using first")')) # from line 80, col 3.
                write(u''' <span class="add_commas">''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 80, col 46
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 80, col 46.
                write(u'''</span> ''')
                if False:
                    _("lines only")
                _v = VFFSL(SL,"_",False)("lines only") # u'$_("lines only")' on line 80, col 63
                if _v is not None: write(_filter(_v, rawExpr=u'$_("lines only")')) # from line 80, col 63.
                write(u'''.
                <a href="''')
                _v = VFFSL(SL,"rallhref",True) # u'$rallhref' on line 81, col 26
                if _v is not None: write(_filter(_v, rawExpr=u'$rallhref')) # from line 81, col 26.
                write(u'''">''')
                if False:
                    _("Use random")
                _v = VFFSL(SL,"_",False)("Use random") # u'$_("Use random")' on line 81, col 37
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Use random")')) # from line 81, col 37.
                write(u'''
                <span class="add_commas">''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 82, col 42
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 82, col 42.
                write(u'''</span> ''')
                if False:
                    _("instead")
                _v = VFFSL(SL,"_",False)("instead") # u'$_("instead")' on line 82, col 59
                if _v is not None: write(_filter(_v, rawExpr=u'$_("instead")')) # from line 82, col 59.
                write(u'''.</a>''')
            write(u'''  </p>
''')
        write(u'''<form action="''')
        _v = VFFSL(SL,"methodhref",True) # u'$methodhref' on line 86, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$methodhref')) # from line 86, col 15.
        write(u'''">
''')
        _orig_filter_28787971 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 88, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 88, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_28787971
        for f in VFFSL(SL,"FCrit",True): # generated from line 90, col 3
            write(u'''        <input type="hidden" name="fcrit" value="''')
            _v = VFFSL(SL,"f.fcrit",True) # u'$f.fcrit' on line 91, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$f.fcrit')) # from line 91, col 50.
            write(u'''" />
''')
        write(u'''        <input type="hidden" name="ml" value="''')
        _v = VFFSL(SL,"ml",True) # u'$ml' on line 93, col 47
        if _v is not None: write(_filter(_v, rawExpr=u'$ml')) # from line 93, col 47.
        write(u'''" />
        <input type="hidden" name="fpage" value="''')
        _v = VFFSL(SL,"fpage",True) # u'$fpage' on line 94, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$fpage')) # from line 94, col 50.
        write(u'''" />
        <input type="hidden" name="ftt_include_empty" value="''')
        _v = VFFSL(SL,"ftt_include_empty",True) # u'$ftt_include_empty' on line 95, col 62
        if _v is not None: write(_filter(_v, rawExpr=u'$ftt_include_empty')) # from line 95, col 62.
        write(u'''" />
        <input type="hidden" name="wlpat" value="''')
        _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 96, col 50
        if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 96, col 50.
        write(u'''" />
        <input type="hidden" name="wlattr" value="''')
        _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 97, col 51
        if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 97, col 51.
        write(u'''" />
        <input type="hidden" name="examples" value="''')
        _v = VFFSL(SL,"examples",True) # u'$examples' on line 98, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$examples')) # from line 98, col 53.
        write(u'''" />
  ''')
        if False:
            _("Frequency limit")
        _v = VFFSL(SL,"_",False)("Frequency limit") # u'$_("Frequency limit")' on line 99, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency limit")')) # from line 99, col 3.
        write(u''':
  <input type="text" name="flimit" value="''')
        _v = VFFSL(SL,"flimit",True) # u'$flimit' on line 100, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$flimit')) # from line 100, col 43.
        write(u'''" size="7"
    class="check_input pos_integer_zero"
    data-errtext="''')
        if False:
            _("Must be a positive integer or zero")
        _v = VFFSL(SL,"_",False)("Must be a positive integer or zero") # u'$_("Must be a positive integer or zero")' on line 102, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Must be a positive integer or zero")')) # from line 102, col 19.
        write(u'''" />
  <input type="submit" value="''')
        if False:
            _("Set limit")
        _v = VFFSL(SL,"_",False)("Set limit") # u'$_("Set limit")' on line 103, col 31
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Set limit")')) # from line 103, col 31.
        write(u'''" />
</form>


''')
        self.navigation(trans=trans)
        write(u'''
<table class="result">
''')
        for i, b in VFFSL(SL,"enumerate",False)(VFFSL(SL,"Blocks",True)): # generated from line 152, col 1
            write(u'''<thead>
  <tr>
  <th></th>
''')
            for ii, h in VFFSL(SL,"enumerate",False)(VFFSL(SL,"b.Head",True)): # generated from line 156, col 3
                label = VFFSL(SL,"getVar",False)('alt_head%d' % VFFSL(SL,"ii",True), '') or VFFSL(SL,"h.n",True)
                write(u'''    <th>
      <a href="''')
                _v = VFFSL(SL,"methodhref",True) # u'$methodhref' on line 159, col 16
                if _v is not None: write(_filter(_v, rawExpr=u'$methodhref')) # from line 159, col 16.
                write(u'''?''')
                _v = VFFSL(SL,"url_sub",False)(VFFSL(SL,"arghref",True), 'freq_sort', VFFSL(SL,"h.s",True)) # u"$url_sub($arghref, 'freq_sort', $h.s)" on line 159, col 28
                if _v is not None: write(_filter(_v, rawExpr=u"$url_sub($arghref, 'freq_sort', $h.s)")) # from line 159, col 28.
                write(u'''">''')
                _v = VFFSL(SL,"label",True) # u'$label' on line 159, col 67
                if _v is not None: write(_filter(_v, rawExpr=u'$label')) # from line 159, col 67.
                write(u'''</a>
''')
                if VFFSL(SL,"label",True) == 'Rel [%]' and VFFSL(SL,"getVar",False)('helpsite', '') and VFFSL(SL,"i",True) == 0: # generated from line 160, col 5
                    write(u'''      <a href="''')
                    _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 161, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 161, col 16.
                    write(u'''my_keywords/relative-text-type-frequency/"
          rel="help" target="_blank">
        <i class="fa fa-question-circle"></i>
      </a>
''')
                elif VFFSL(SL,"label",True) == 'tag' and VFFSL(SL,"getVar",False)('tagsetdoc', ''): # generated from line 165, col 5
                    write(u'''      <a href="''')
                    _v = VFFSL(SL,"tagsetdoc",True) # u'$tagsetdoc' on line 166, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$tagsetdoc')) # from line 166, col 16.
                    write(u'''" target="_blank">
        <i class="fa fa-question-circle"></i>
      </a>
''')
                write(u'''    </th>
''')
            write(u'''  <th>
''')
            if VFN(VFFSL(SL,"b",True),"get",False)('total', 0): # generated from line 173, col 3
                write(u'''    ''')
                if False:
                    _("Items")
                _v = VFFSL(SL,"_",False)("Items") # u'$_("Items")' on line 174, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Items")')) # from line 174, col 5.
                write(u''': <b class="add_commas">''')
                _v = VFFSL(SL,"b.total",True) # u'$b.total' on line 174, col 40
                if _v is not None: write(_filter(_v, rawExpr=u'$b.total')) # from line 174, col 40.
                write(u''' ||</b>
''')
            if VFN(VFFSL(SL,"b",True),"get",False)('totalfrq', 0): # generated from line 176, col 3
                write(u'''    ''')
                if False:
                    _("Total frequency")
                _v = VFFSL(SL,"_",False)("Total frequency") # u'$_("Total frequency")' on line 177, col 5
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Total frequency")')) # from line 177, col 5.
                write(u''': <b class="add_commas">''')
                _v = VFFSL(SL,"b.totalfrq",True) # u'$b.totalfrq' on line 177, col 50
                if _v is not None: write(_filter(_v, rawExpr=u'$b.totalfrq')) # from line 177, col 50.
                write(u'''</b>
''')
            write(u'''  </th>
  </tr>
</thead>

<tbody>
''')
            for i in VFN(VFFSL(SL,"b",True),"get",False)('Items', []): # generated from line 184, col 3
                if len(VFFSL(SL,"i.Word",True)) == 1 and (len(VFN(VFFSL(SL,"i",True),"Word",True)[0]['n']) == 0 or VFN(VFFSL(SL,"i",True),"Word",True)[0]['n'] == '===NONE==='): # generated from line 185, col 5
                    continue
                write(u'''    <tr
''')
                if VFN(VFFSL(SL,"i",True),"has_key",False)('class'): # generated from line 189, col 5
                    write(u'''      class="''')
                    _v = VFFSL(SL,"i.class",True) # u'$i.class' on line 190, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.class')) # from line 190, col 14.
                    write(u'''"
''')
                write(u'''    >
    <td>
''')
                if VFN(VFFSL(SL,"i",True),"get",False)('pfilter', ''): # generated from line 194, col 5
                    write(u"""<a href='view?""")
                    _v = VFFSL(SL,"q",True) # u'$q' on line 195, col 15
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 195, col 15.
                    _v = VFN(VFFSL(SL,"i",True),"get",False)('pfilter') # u"$i.get('pfilter')" on line 195, col 17
                    if _v is not None: write(_filter(_v, rawExpr=u"$i.get('pfilter')")) # from line 195, col 17.
                    write(u''';''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 195, col 35
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 195, col 35.
                    write(u"""'>""")
                    if False:
                        _("P")
                    _v = VFFSL(SL,"_",False)("P") # u'$_("P")' on line 195, col 45
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("P")')) # from line 195, col 45.
                    write(u'''</a>&nbsp;|&nbsp;''')
                    if VFN(VFFSL(SL,"i",True),"get",False)('nfilter', '') and VFFSL(SL,"concsize",True) != VFFSL(SL,"i.freq",True): # generated from line 196, col 7
                        write(u"""<a href='view?""")
                        _v = VFFSL(SL,"q",True) # u'$q' on line 197, col 15
                        if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 197, col 15.
                        _v = VFN(VFFSL(SL,"i",True),"get",False)('nfilter') # u"$i.get('nfilter')" on line 197, col 17
                        if _v is not None: write(_filter(_v, rawExpr=u"$i.get('nfilter')")) # from line 197, col 17.
                        write(u''';''')
                        _v = VFFSL(SL,"globals",True) # u'$globals' on line 197, col 35
                        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 197, col 35.
                        write(u"""'>""")
                        if False:
                            _("N")
                        _v = VFFSL(SL,"_",False)("N") # u'$_("N")' on line 197, col 45
                        if _v is not None: write(_filter(_v, rawExpr=u'$_("N")')) # from line 197, col 45.
                        write(u'''</a>
''')
                    else: # generated from line 198, col 7
                        if False:
                            _("N")
                        _v = VFFSL(SL,"_",False)("N") # u'$_("N")' on line 199, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$_("N")')) # from line 199, col 1.
                        write(u'''
''')
                write(u'''    </td>
''')
                for w in VFFSL(SL,"i.Word",True): # generated from line 203, col 5
                    write(u'''      <td>''')
                    _v = VFN(VFFSL(SL,"w.n",True),"replace",False)('===NONE===', '') # u"$w.n.replace('===NONE===', '')" on line 204, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u"$w.n.replace('===NONE===', '')")) # from line 204, col 11.
                    write(u'''</td>
''')
                write(u'''    <td align="right" class="add_commas">''')
                _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 206, col 42
                if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 206, col 42.
                write(u'''</td>
''')
                if VFN(VFFSL(SL,"i",True),"has_key",False)('rel'): # generated from line 207, col 5
                    write(u'''      <td align="right" class="add_commas">''')
                    _v = VFFSL(SL,"i.rel",True) # u'$i.rel' on line 208, col 44
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.rel')) # from line 208, col 44.
                    write(u'''</td>
''')
                if VFFSL(SL,"i.norel",True): # generated from line 210, col 5
                    write(u'''      <td>
        <div class="bar" style="height:10px;width:''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"${i['fbar']}" on line 212, col 51
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['fbar']}")) # from line 212, col 51.
                    write(u'''px;"></div>
        <img src="''')
                    _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 213, col 19
                    if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 213, col 19.
                    write(u'''/img/red.png" class="hidden" height="10"
            width="''')
                    _v = VFFSL(SL,"i.fbar",True) # u'$i.fbar' on line 214, col 20
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.fbar')) # from line 214, col 20.
                    write(u'''" alt="''')
                    _v = VFFSL(SL,"i",True)['fbar'] # u"${i['fbar']}" on line 214, col 34
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['fbar']}")) # from line 214, col 34.
                    write(u'''" />
      </td>
''')
                else: # generated from line 216, col 5
                    write(u'''      <td>
        <div class="bar" style="height:''')
                    _v = VFFSL(SL,"i",True)['freqbar'] # u"${i['freqbar']}" on line 218, col 40
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['freqbar']}")) # from line 218, col 40.
                    write(u'''px;width:''')
                    _v = VFFSL(SL,"i",True)['relbar'] # u"${i['relbar']}" on line 218, col 64
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['relbar']}")) # from line 218, col 64.
                    write(u'''px;"></div>
        <img src="''')
                    _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 219, col 19
                    if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 219, col 19.
                    write(u'''/img/red.png" class="hidden" height="''')
                    _v = VFFSL(SL,"i.freqbar",True) # u'$i.freqbar' on line 219, col 67
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freqbar')) # from line 219, col 67.
                    write(u'''"
            width="''')
                    _v = VFFSL(SL,"i.relbar",True) # u'$i.relbar' on line 220, col 20
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.relbar')) # from line 220, col 20.
                    write(u'''" alt="''')
                    _v = VFFSL(SL,"i",True)['relbar'] # u"${i['relbar']}" on line 220, col 36
                    if _v is not None: write(_filter(_v, rawExpr=u"${i['relbar']}")) # from line 220, col 36.
                    write(u'''" />
      </td>
''')
                if VFFSL(SL,"examples",True): # generated from line 223, col 5
                    write(u'''      <td colspan="''')
                    _v = VFFSL(SL,"len",False)(VFFSL(SL,"i.Word",True))+2 # u'${len($i.Word)+2}' on line 224, col 20
                    if _v is not None: write(_filter(_v, rawExpr=u'${len($i.Word)+2}')) # from line 224, col 20.
                    write(u'''" class="example" data-url="view_examples?''')
                    _v = VFFSL(SL,"q",True) # u'$q' on line 224, col 79
                    if _v is not None: write(_filter(_v, rawExpr=u'$q')) # from line 224, col 79.
                    _v = VFN(VFFSL(SL,"i",True),"get",False)('pfilter') # u"$i.get('pfilter')" on line 224, col 81
                    if _v is not None: write(_filter(_v, rawExpr=u"$i.get('pfilter')")) # from line 224, col 81.
                    write(u''';''')
                    _v = VFFSL(SL,"globals",True) # u'$globals' on line 224, col 99
                    if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 224, col 99.
                    write(u''';attrs=word;ctxattrs=word;async=0;viewmode=sen;format=json;structs=g,err,corr;q=e100">...</td>
''')
                write(u'''    </tr>
''')
            if VFN(VFFSL(SL,"b",True),"get",False)('note', ''): # generated from line 228, col 3
                write(u'''    <tr><td colspan="5" class="note">''')
                _v = VFFSL(SL,"b.note",True) # u'$b.note' on line 229, col 38
                if _v is not None: write(_filter(_v, rawExpr=u'$b.note')) # from line 229, col 38.
                write(u'''
''')
                if VFFSL(SL,"getVar",False)('wordlist_limit_url', ''): # generated from line 230, col 5
                    write(u'''      <a href="''')
                    _v = VFFSL(SL,"wordlist_limit_url",True) # u'$wordlist_limit_url' on line 231, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$wordlist_limit_url')) # from line 231, col 16.
                    write(u'''" target="_blank">''')
                    if False:
                        _("More details")
                    _v = VFFSL(SL,"_",False)("More details") # u'$_("More details")' on line 231, col 53
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("More details")')) # from line 231, col 53.
                    write(u'''</a>
''')
                write(u'''    </td></tr>
''')
            if VFFSL(SL,"len",False)(VFN(VFFSL(SL,"b",True),"get",False)('Items', [])) == 5000: # generated from line 235, col 3
                write(u'''    <tr><td colspan="5" class="note">
    ''')
                if False:
                    _('Max. 5,000 items are allowed, due to efficiency reasons')
                _v = VFFSL(SL,"_",False)('Max. 5,000 items are allowed, due to efficiency reasons') # u"$_('Max. 5,000 items are allowed, due to efficiency reasons')" on line 237, col 5
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Max. 5,000 items are allowed, due to efficiency reasons')")) # from line 237, col 5.
                write(u'''</td></tr>
''')
        write(u'''</tbody>
</table>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_91331333
        write(u'''
''')
        _orig_filter_28451384 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"navigation",False)("next2") # u'$navigation("next2")' on line 245, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$navigation("next2")')) # from line 245, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_28451384
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2017  Pavel Rychly, Vojtech Kovar, Milos Jakubicek, Milos Husak, Vit Baisa
        write(u'''





''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_freqs= 'writeBody'

## END CLASS DEFINITION

if not hasattr(freqs, '_initCheetahAttributes'):
    templateAPIClass = getattr(freqs, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(freqs)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=freqs()).run()


