#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1519999310.264253
__CHEETAH_genTimestamp__ = 'Fri Mar  2 15:01:50 2018'
__CHEETAH_src__ = 'templates/saveconc.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar  2 14:58:23 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class saveconc(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(saveconc, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def print_xml_parline(self, line, corpname, **KWS):



        ## CHEETAH: generated from #def $print_xml_parline($line, $corpname) at line 3, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_13246846 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''      <parline corpus="''')
        _v = VFFSL(SL,"corpname.n",True) # u'$corpname.n' on line 5, col 24
        if _v is not None: write(_filter(_v, rawExpr=u'$corpname.n')) # from line 5, col 24.
        write(u'''">
        <ref>''')
        _v = VFFSL(SL,"line.ref",True) # u'$line.ref' on line 6, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$line.ref')) # from line 6, col 14.
        write(u'''</ref>''')
        write(u'''<left_context>''')
        for ll in VFFSL(SL,"line.Left",True): # generated from line 8, col 5
            if not (VFFSL(SL,"ll.class",True) == 'strc'):
                _v = VFFSL(SL,"ll.str",True) # u'$ll.str' on line 10, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$ll.str')) # from line 10, col 1.
                write(u''' ''')
        write(u'''</left_context><kwic>''')
        for kw in VFFSL(SL,"line.Kwic",True): # generated from line 14, col 5
            _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 15, col 1
            if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 15, col 1.
            write(u''' ''')
        write(u'''</kwic><right_context>''')
        for rr in VFFSL(SL,"line.Right",True): # generated from line 18, col 5
            if not (VFFSL(SL,"rr.class",True) == 'strc'):
                _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 20, col 1
                if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 20, col 1.
                write(u''' ''')
        write(u'''</right_context>
      </parline>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_13246846
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2017  Pavel Rychly, Vojtech Kovar, Milos Jakubicek, Vit Baisa
        if VFFSL(SL,"saveformat",True) == 'xml': # generated from line 28, col 1
            write(u'''<?xml version="1.0" encoding="''')
            _v = VFFSL(SL,"corpencoding",True) # u'$corpencoding' on line 29, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$corpencoding')) # from line 29, col 31.
            write(u'''"?>
''')
            _orig_filter_77694273 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write(u'''<concordance>
''')
            if VFFSL(SL,"heading",True): # generated from line 32, col 1
                write(u'''  <heading>
    <corpus>''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 34, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 34, col 13.
                write(u'''</corpus>
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 35, col 3
                    write(u'''    <subcorpus>''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 36, col 16
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 36, col 16.
                    write(u'''</subcorpus>
''')
                write(u'''    <hits>''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 38, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 38, col 11.
                write(u'''</hits>
    <query>''')
                for d in VFFSL(SL,"Desc",True): # generated from line 40, col 3
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 41, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 41, col 1.
                    write(u''' ''')
                    _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 41, col 8
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 41, col 8.
                    write(u''' ''')
                write(u'''</query>
  </heading>
''')
            #  kwic lines
            write(u'''  <lines>
''')
            for i, l in VFFSL(SL,"enumerate",False)(VFFSL(SL,"Lines",True)): # generated from line 48, col 1
                if VFFSL(SL,"align",True): # generated from line 49, col 3
                    if VFFSL(SL,"numbering",True): # generated from line 50, col 5
                        num = VFFSL(SL,"i",True)+1
                        write(u'''      <parallel_lines num="''')
                        _v = VFFSL(SL,"num",True) # u'$num' on line 52, col 28
                        if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 52, col 28.
                        write(u'''">
''')
                    else: # generated from line 53, col 5
                        write(u'''      <parallel_lines>
''')
                    _orig_filter_70848043 = _filter
                    _filter = self._CHEETAH__initialFilter
                    _v = VFFSL(SL,"print_xml_parline",False)(VFFSL(SL,"l",True), VFFSL(SL,"Par_conc_corpnames",True)[0]) # u'$print_xml_parline($l, $Par_conc_corpnames[0])' on line 57, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$print_xml_parline($l, $Par_conc_corpnames[0])')) # from line 57, col 1.
                    for ii, ll in enumerate(VFN(VFFSL(SL,"l",True),"get",False)('Align', [])): # generated from line 58, col 7
                        _v = VFFSL(SL,"print_xml_parline",False)(VFFSL(SL,"ll",True), VFFSL(SL,"Par_conc_corpnames",True)[VFFSL(SL,"ii",True)+1]) # u'$print_xml_parline($ll, $Par_conc_corpnames[$ii+1])' on line 59, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$print_xml_parline($ll, $Par_conc_corpnames[$ii+1])')) # from line 59, col 1.
                    _filter = self._CHEETAH__currentFilter = _orig_filter_70848043
                    write(u'''    </parallel_lines>
''')
                else: # generated from line 63, col 3
                    write(u'''  <line>
''')
                    if VFFSL(SL,"numbering",True): # generated from line 65, col 3
                        num = VFFSL(SL,"i",True) + 1
                        write(u'''    <num>''')
                        _v = VFFSL(SL,"num",True) # u'$num' on line 67, col 10
                        if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 67, col 10.
                        write(u'''</num>
''')
                    write(u'''    <ref>''')
                    _v = VFFSL(SL,"l.ref",True) # u'$l.ref' on line 69, col 10
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.ref')) # from line 69, col 10.
                    write(u'''</ref>''')
                    write(u'''<left_context>''')
                    for ll in VFFSL(SL,"l.Left",True): # generated from line 71, col 5
                        if not (VFFSL(SL,"ll.class",True) == 'strc'):
                            _v = VFFSL(SL,"ll.str",True) # u'$ll.str' on line 73, col 1
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.str')) # from line 73, col 1.
                            write(u''' ''')
                    write(u'''</left_context><kwic>''')
                    for kw in VFFSL(SL,"l.Kwic",True): # generated from line 77, col 5
                        _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 78, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 78, col 1.
                        write(u''' ''')
                    write(u'''</kwic><right_context>''')
                    for rr in VFFSL(SL,"l.Right",True): # generated from line 81, col 5
                        if not (VFFSL(SL,"rr.class",True) == 'strc'):
                            _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 83, col 1
                            if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 83, col 1.
                            write(u''' ''')
                    write(u'''</right_context>
  </line>
''')
            write(u'''  </lines>
</concordance>
''')
            _filter = self._CHEETAH__currentFilter = _orig_filter_77694273
        else: # generated from line 93, col 1
            #  Text format
            if VFFSL(SL,"heading",True): # generated from line 95, col 1
                write(u'''# ''')
                if False:
                    _('Corpus')
                _v = VFFSL(SL,"_",False)('Corpus') # u"$_('Corpus')" on line 96, col 4
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Corpus')")) # from line 96, col 4.
                write(u''': ''')
                _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 96, col 18
                if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 96, col 18.
                write(u'''\r
''')
                if VFFSL(SL,"usesubcorp",True): # generated from line 97, col 3
                    write(u'''# ''')
                    if False:
                        _('Subcorpus')
                    _v = VFFSL(SL,"_",False)('Subcorpus') # u"$_('Subcorpus')" on line 98, col 4
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Subcorpus')")) # from line 98, col 4.
                    write(u''': ''')
                    _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 98, col 21
                    if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 98, col 21.
                    write(u'''\r
''')
                write(u'''# Hits: ''')
                _v = VFFSL(SL,"concsize",True) # u'$concsize' on line 100, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$concsize')) # from line 100, col 10.
                write(u'''\r
''')
                for d in VFFSL(SL,"Desc",True): # generated from line 101, col 3
                    write(u'''#      ''')
                    _v = VFFSL(SL,"d.op",True) # u'$d.op' on line 102, col 9
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.op')) # from line 102, col 9.
                    write(u'''    ''')
                    _v = VFFSL(SL,"d.arg",True) # u'$d.arg' on line 102, col 18
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.arg')) # from line 102, col 18.
                    write(u''' ''')
                    _v = VFFSL(SL,"d.size",True) # u'$d.size' on line 102, col 25
                    if _v is not None: write(_filter(_v, rawExpr=u'$d.size')) # from line 102, col 25.
                    write(u'''\r
''')
            #  kwic lines
            for i, l in VFFSL(SL,"enumerate",False)(VFFSL(SL,"Lines",True)): # generated from line 106, col 1
                if VFFSL(SL,"numbering",True): # generated from line 107, col 3
                    num = VFFSL(SL,"i",True)+1
                    _v = VFFSL(SL,"num",True) # u'$num' on line 109, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 109, col 1.
                    write(u'''\t''')
                if VFFSL(SL,"l.ref",True): # generated from line 111, col 3
                    _v = VFFSL(SL,"l.ref",True) # u'$l.ref' on line 112, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.ref')) # from line 112, col 1.
                    write(u'''\t''')
                if VFFSL(SL,"align_kwic",True): # generated from line 114, col 3
                    _v = VFFSL(SL,"l.leftspace",True) # u'$l.leftspace' on line 115, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.leftspace')) # from line 115, col 1.
                    write(u''' ''')
                for ll in VFFSL(SL,"l.Left",True): # generated from line 117, col 3
                    if not (VFFSL(SL,"ll.class",True) == 'strc'):
                        _v = VFFSL(SL,"ll.str",True) # u'$ll.str' on line 119, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$ll.str')) # from line 119, col 1.
                        write(u''' ''')
                write(u'''<''')
                for kw in VFFSL(SL,"l.Kwic",True): # generated from line 123, col 3
                    _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 124, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 124, col 1.
                    write(u''' ''')
                write(u'''>''')
                if VFFSL(SL,"annotconc",True): # generated from line 127, col 3
                    write(u'''[''')
                    _v = VFFSL(SL,"l.linegroup",True) # u'$l.linegroup' on line 128, col 2
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.linegroup')) # from line 128, col 2.
                    write(u''']
''')
                for rr in VFFSL(SL,"l.Right",True): # generated from line 130, col 3
                    if not (VFFSL(SL,"rr.class",True) == 'strc'):
                        _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 132, col 1
                        if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 132, col 1.
                        write(u''' ''')
                if VFFSL(SL,"align_kwic",True): # generated from line 135, col 3
                    _v = VFFSL(SL,"l.rightspace",True) # u'$l.rightspace' on line 136, col 1
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.rightspace')) # from line 136, col 1.
                    write(u'''\t''')
                if VFFSL(SL,"align",True): # generated from line 138, col 3
                    for ii, ll in enumerate(VFN(VFFSL(SL,"l",True),"get",False)('Align', [])): # generated from line 139, col 5
                        write(u'''\t''')
                        _v = VFFSL(SL,"ll.ref",True) # u'$ll.ref' on line 140, col 2
                        if _v is not None: write(_filter(_v, rawExpr=u'$ll.ref')) # from line 140, col 2.
                        write(u'''\t''')
                        if VFFSL(SL,"align_kwic",True): # generated from line 141, col 7
                            _v = VFFSL(SL,"ll.leftspace",True) # u'$ll.leftspace' on line 142, col 1
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.leftspace')) # from line 142, col 1.
                            write(u''' ''')
                        for lw in VFFSL(SL,"ll.Left",True): # generated from line 144, col 7
                            if not (VFFSL(SL,"lw.class",True) == 'strc'):
                                _v = VFFSL(SL,"lw.str",True) # u'$lw.str' on line 146, col 1
                                if _v is not None: write(_filter(_v, rawExpr=u'$lw.str')) # from line 146, col 1.
                                write(u''' ''')
                        write(u'''<''')
                        for kw in VFFSL(SL,"ll.Kwic",True): # generated from line 150, col 7
                            _v = VFFSL(SL,"kw.str",True) # u'$kw.str' on line 151, col 1
                            if _v is not None: write(_filter(_v, rawExpr=u'$kw.str')) # from line 151, col 1.
                            write(u''' ''')
                        write(u'''>''')
                        if VFFSL(SL,"annotconc",True): # generated from line 154, col 7
                            write(u'''[''')
                            _v = VFFSL(SL,"ll.linegroup",True) # u'$ll.linegroup' on line 155, col 2
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.linegroup')) # from line 155, col 2.
                            write(u''']
''')
                        for rr in VFFSL(SL,"ll.Right",True): # generated from line 157, col 7
                            if not (VFFSL(SL,"rr.class",True) == 'strc'):
                                _v = VFFSL(SL,"rr.str",True) # u'$rr.str' on line 159, col 1
                                if _v is not None: write(_filter(_v, rawExpr=u'$rr.str')) # from line 159, col 1.
                                write(u''' ''')
                        if VFFSL(SL,"align_kwic",True): # generated from line 162, col 7
                            _v = VFFSL(SL,"ll.rightspace",True) # u'$ll.rightspace' on line 163, col 1
                            if _v is not None: write(_filter(_v, rawExpr=u'$ll.rightspace')) # from line 163, col 1.
                            write(u'''\t''')
                write(u'''\r
''')
            write(u'''\r
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_saveconc= 'respond'

## END CLASS DEFINITION

if not hasattr(saveconc, '_initCheetahAttributes'):
    templateAPIClass = getattr(saveconc, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(saveconc)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=saveconc()).run()


