#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1519999310.270638
__CHEETAH_genTimestamp__ = 'Fri Mar  2 15:01:50 2018'
__CHEETAH_src__ = 'templates/wordlist_form.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Mar  2 14:58:23 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class wordlist_form(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(wordlist_form, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 6, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Word list")
        _v = VFFSL(SL,"_",False)("Word list") # u'$_("Word list")' on line 7, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list")')) # from line 7, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_help(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_help at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu(self, **KWS):



        ## CHEETAH: generated from #def left_submenu at line 13, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_25186913 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''    <li><a title="''')
        if False:
            _("Compute a list of all words")
        _v = VFFSL(SL,"_",False)("Compute a list of all words") # u'$_("Compute a list of all words")' on line 15, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Compute a list of all words")')) # from line 15, col 19.
        write(u'''" href="wordlist?''')
        _v = VFFSL(SL,"globals",True) # u'$globals' on line 15, col 69
        if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 15, col 69.
        write(u''';wlattr=word;wlsort=f">''')
        if False:
            _("All words")
        _v = VFFSL(SL,"_",False)("All words") # u'$_("All words")' on line 15, col 100
        if _v is not None: write(_filter(_v, rawExpr=u'$_("All words")')) # from line 15, col 100.
        write(u'''</a></li>
''')
        if VFFSL(SL,"has_lemmaattr",True): # generated from line 16, col 3
            write(u'''    <li><a title="''')
            if False:
                _("Compute a list of all lemmas")
            _v = VFFSL(SL,"_",False)("Compute a list of all lemmas") # u'$_("Compute a list of all lemmas")' on line 17, col 19
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Compute a list of all lemmas")')) # from line 17, col 19.
            write(u'''" href="wordlist?''')
            _v = VFFSL(SL,"globals",True) # u'$globals' on line 17, col 70
            if _v is not None: write(_filter(_v, rawExpr=u'$globals')) # from line 17, col 70.
            write(u''';wlattr=lemma;wlsort=f">''')
            if False:
                _("All lemmas")
            _v = VFFSL(SL,"_",False)("All lemmas") # u'$_("All lemmas")' on line 17, col 102
            if _v is not None: write(_filter(_v, rawExpr=u'$_("All lemmas")')) # from line 17, col 102.
            write(u'''</a></li>
''')
        write(u'''    <li><a title="''')
        if False:
            _("Find x entry form")
        _v = VFFSL(SL,"_",False)("Find x entry form") # u'$_("Find x entry form")' on line 19, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Find x entry form")')) # from line 19, col 19.
        write(u'''" href="findx_form?''')
        _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 19, col 61
        if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 19, col 61.
        write(u'''">''')
        if False:
            _("Find x")
        _v = VFFSL(SL,"_",False)("Find x") # u'$_("Find x")' on line 19, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Find x")')) # from line 19, col 76.
        write(u'''</a></li>
''')
        if VFFSL(SL,"getVar",False)('biterm_corpora', []): # generated from line 20, col 3
            write(u'''    <li>''')
            if False:
                _("Bilingual terminology")
            _v = VFFSL(SL,"_",False)("Bilingual terminology") # u'$_("Bilingual terminology")' on line 21, col 9
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Bilingual terminology")')) # from line 21, col 9.
            write(u''':
''')
            if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 22, col 5
                write(u'''       <a href="''')
                _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 23, col 17
                if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 23, col 17.
                write(u'''user-guide/user-manual/bilingual-term-extraction/"
           rel="help" title=\'''')
                if False:
                    _("? Help on bilingual terminology extraction")
                _v = VFFSL(SL,"_",False)("? Help on bilingual terminology extraction") # u'$_("? Help on bilingual terminology extraction")' on line 24, col 30
                if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on bilingual terminology extraction")')) # from line 24, col 30.
                write(u'''\' target="_blank">
         <i class="fa fa-question-circle"></i>
       </a>
''')
            write(u'''      <ul>
''')
            for acorp in VFFSL(SL,"biterm_corpora",True): # generated from line 29, col 7
                write(u'''        <li><a href="biterms?corpname=''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 30, col 39
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 30, col 39.
                write(u''';l2_corpname=''')
                _v = VFFSL(SL,"acorp",True)[0] # u'$acorp[0]' on line 30, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$acorp[0]')) # from line 30, col 61.
                write(u'''">''')
                _v = VFFSL(SL,"acorp",True)[1] # u'$acorp[1]' on line 30, col 72
                if _v is not None: write(_filter(_v, rawExpr=u'$acorp[1]')) # from line 30, col 72.
                write(u'''</a></li>
''')
            write(u'''      </ul>
    </li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_25186913
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 38, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 39, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 39, col 14.
        write(u'''/js/jquery.nouislider.js" type="text/javascript"></script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 42, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_32260672 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u"""select_output_type('""")
        _v = VFFSL(SL,"wltype",True) # u'$wltype' on line 44, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$wltype')) # from line 44, col 21.
        write(u"""');""")
        _filter = self._CHEETAH__currentFilter = _orig_filter_32260672
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 48, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''<script type="text/javascript">
  jQuery(document).ready(function () {
    var include_nonwords_checked = jQuery(\'[name="include_nonwords"]\')
        .is(\':checked\');
    jQuery(\'[name="simple_n"]\').val(''')
        _v = VFFSL(SL,"simple_n",True) # u'$simple_n' on line 53, col 37
        if _v is not None: write(_filter(_v, rawExpr=u'$simple_n')) # from line 53, col 37.
        write(u""");
    jQuery('#slider_value').val(""")
        _v = VFFSL(SL,"simple_n",True) # u'$simple_n' on line 54, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$simple_n')) # from line 54, col 33.
        write(u""");
    jQuery('.noUiSlider').noUiSlider({
      range: [-2, 6],
      handles: 1,
      step: 1,
      start: [num2slider(""")
        _v = VFFSL(SL,"simple_n",True) # u'$simple_n' on line 59, col 26
        if _v is not None: write(_filter(_v, rawExpr=u'$simple_n')) # from line 59, col 26.
        write(u''')]
    }).change(function () {
      var sval = jQuery(\'#simple_n_slider\').val();
      jQuery(\'[name="simple_n"]\').val(Math.pow(10, sval));
      jQuery(\'#slider_value\').val(Math.pow(10, sval));
    });
    jQuery(\'#slider_value\').change(function () {
        jQuery(\'[name="simple_n"]\').val(jQuery(this).val());
    });
    jQuery(\'#help_icon\').focus();
    jQuery(\'[name="wlattr"]\').change(function () {
      if (jQuery(this).find(\'option:selected\').closest(\'optgroup\').attr(\'label\')
          == "''')
        if False:
            _("Text types")
        _v = VFFSL(SL,"_",False)("Text types") # u'$_("Text types")' on line 71, col 15
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Text types")')) # from line 71, col 15.
        write(u'''") {
        jQuery(\'[name="include_nonwords"]\').prop(\'checked\', true);
      }
      else if (!include_nonwords_checked) {
        jQuery(\'[name="include_nonwords"]\').prop(\'checked\', false);
      }
    });
  });
</script>
''')
        _orig_filter_29513699 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''<h3>''')
        if False:
            _("Word list options")
        _v = VFFSL(SL,"_",False)("Word list options") # u'$_("Word list options")' on line 81, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list options")')) # from line 81, col 5.
        write(u'''
''')
        if VFFSL(SL,"varExists",False)('helpsite'): # generated from line 82, col 5
            write(u'''    <a href="''')
            _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 83, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 83, col 14.
            write(u'''user-guide/user-manual/word-list/"
        rel="help" title=\'''')
            if False:
                _("? Help on word lists")
            _v = VFFSL(SL,"_",False)("? Help on word lists") # u'$_("? Help on word lists")' on line 84, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on word lists")')) # from line 84, col 27.
            write(u'''\' target="_blank">
      <i class="fa fa-question-circle"></i>
    </a>
''')
        write(u'''</h3>

<form action="wordlist" id="wordlist_form" method="post" enctype="multipart/form-data">
''')
        _orig_filter_73036883 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"input_hidden",True) # u'$input_hidden' on line 92, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$input_hidden')) # from line 92, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_73036883
        write(u'''  <input type="hidden" name="wlmaxitems" value="100" />
  <input type="hidden" name="wlsort" value="f" />
  <input type="hidden" name="subcnorm" value="freq" />
<table class="form">
''')
        _orig_filter_45986144 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''  ''')
        _v = VFFSL(SL,"corp_sel_node",True) # u'$corp_sel_node' on line 99, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$corp_sel_node')) # from line 99, col 3.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_45986144
        write(u'''<tr class="required wlsubc_row">
  <th align="left">''')
        if False:
            _("Subcorpus")
        _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 102, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 102, col 20.
        write(u''':</th>
  <td>
''')
        _orig_filter_25726978 = _filter
        _filter = self._CHEETAH__initialFilter
        write(u'''  ''')
        _v = VFFSL(SL,"subcorp_sel",True) # u'$subcorp_sel' on line 105, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$subcorp_sel')) # from line 105, col 3.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_25726978
        write(u'''  <br/></td>
</tr>
<tr class="required">
<th>''')
        if False:
            _("Search attribute")
        _v = VFFSL(SL,"_",False)("Search attribute") # u'$_("Search attribute")' on line 110, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Search attribute")')) # from line 110, col 5.
        write(u''':</th>
  <td><select name="wlattr">
  <optgroup label="''')
        if False:
            _("Positional attributes")
        _v = VFFSL(SL,"_",False)("Positional attributes") # u'$_("Positional attributes")' on line 112, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Positional attributes")')) # from line 112, col 20.
        write(u'''">
''')
        for a in VFFSL(SL,"AttrList",True): # generated from line 113, col 3
            selected = (VFFSL(SL,"a.n",True) == VFFSL(SL,"wlattr",True)) and 'selected="selected"' or ''
            write(u'''    <option value="''')
            _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 115, col 20
            if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 115, col 20.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 115, col 26
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 115, col 26.
            write(u'''>''')
            _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 115, col 36
            if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 115, col 36.
            write(u'''</option>
''')
        write(u'''  </optgroup>
''')
        if VFFSL(SL,"has_wsketch",True): # generated from line 118, col 3
            write(u'''    <optgroup label="''')
            if False:
                _("Word sketch")
            _v = VFFSL(SL,"_",False)("Word sketch") # u'$_("Word sketch")' on line 119, col 22
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Word sketch")')) # from line 119, col 22.
            write(u'''">
''')
            if VFFSL(SL,"termdef",True): # generated from line 120, col 5
                selected = ('ws_terms' == VFFSL(SL,"wlattr",True)) and 'selected="selected"' or ''
                write(u'''      <option value="ws_terms" ''')
                _v = VFFSL(SL,"selected",True) # u'$selected' on line 122, col 32
                if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 122, col 32.
                write(u'''>''')
                if False:
                    _("terms")
                _v = VFFSL(SL,"_",False)("terms") # u'$_("terms")' on line 122, col 42
                if _v is not None: write(_filter(_v, rawExpr=u'$_("terms")')) # from line 122, col 42.
                write(u'''</option>
''')
            selected = ('ws_collocations' == VFFSL(SL,"wlattr",True)) and 'selected="selected"' or ''
            write(u'''    <option value="ws_collocations" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 125, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 125, col 37.
            write(u'''>''')
            if False:
                _("collocations")
            _v = VFFSL(SL,"_",False)("collocations") # u'$_("collocations")' on line 125, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$_("collocations")')) # from line 125, col 47.
            write(u'''</option>
    </optgroup>
''')
        write(u'''  <optgroup label="''')
        if False:
            _("Text types")
        _v = VFFSL(SL,"_",False)("Text types") # u'$_("Text types")' on line 128, col 20
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Text types")')) # from line 128, col 20.
        write(u'''">
''')
        for a in VFFSL(SL,"StructAttrList",True): # generated from line 129, col 3
            selected = (VFFSL(SL,"a.n",True) == VFFSL(SL,"wlattr",True)) and 'selected="selected"' or ''
            write(u'''    <option value="''')
            _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 131, col 20
            if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 131, col 20.
            write(u'''" ''')
            _v = VFFSL(SL,"selected",True) # u'$selected' on line 131, col 26
            if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 131, col 26.
            write(u'''>''')
            _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 131, col 36
            if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 131, col 36.
            write(u'''</option>
''')
        write(u'''  </optgroup>
  </select></td>
</tr>
<tr class="wlngrams_row">
<th></th>
<td>
  <input type="hidden" name="usengrams" value="0" />
  <input type="checkbox" id="usengrams" name="usengrams" value="1"
   ''')
        if VFFSL(SL,"usengrams",True): # generated from line 141, col 4
            write(u''' checked="checked" ''')
        write(u''' />
  <label for="usengrams">''')
        if False:
            _("use n-grams")
        _v = VFFSL(SL,"_",False)("use n-grams") # u'$_("use n-grams")' on line 142, col 26
        if _v is not None: write(_filter(_v, rawExpr=u'$_("use n-grams")')) # from line 142, col 26.
        write(u'''</label>. ''')
        if False:
            _("Value of n:")
        _v = VFFSL(SL,"_",False)("Value of n:") # u'$_("Value of n:")' on line 142, col 53
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Value of n:")')) # from line 142, col 53.
        write(u'''
  ''')
        if False:
            _("from")
        _v = VFFSL(SL,"_",False)("from") # u'$_("from")' on line 143, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$_("from")')) # from line 143, col 3.
        write(u'''
  <select name="ngrams_n" id="ngrams_n">
''')
        for i in range(2, 7): # generated from line 145, col 3
            write(u'''    <option value="''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 146, col 20
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 146, col 20.
            write(u'''">''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 146, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 146, col 24.
            write(u'''</option>
''')
        write(u'''  </select>
  ''')
        if False:
            _("to")
        _v = VFFSL(SL,"_",False)("to") # u'$_("to")' on line 149, col 3
        if _v is not None: write(_filter(_v, rawExpr=u'$_("to")')) # from line 149, col 3.
        write(u'''
  <select name="ngrams_max_n" id="ngrams_max_n">
''')
        for i in range(2, 7): # generated from line 151, col 3
            write(u'''    <option value="''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 152, col 20
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 152, col 20.
            write(u'''">''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 152, col 24
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 152, col 24.
            write(u'''</option>
''')
        write(u'''  </select>
  <a href="''')
        _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 155, col 12
        if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 155, col 12.
        write(u'''user-guide/user-manual/n-grams/"
      rel="help" title=\'''')
        if False:
            _("? Help on n-grams")
        _v = VFFSL(SL,"_",False)("? Help on n-grams") # u'$_("? Help on n-grams")' on line 156, col 25
        if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on n-grams")')) # from line 156, col 25.
        write(u'''\' target="_blank">
    <i class="fa fa-question-circle"></i>
  </a>
</td>
</tr><tr><th></th>
<td>
  <input type="hidden" name="nest_ngrams" value="0" />
  <input type="checkbox" id="nest_ngrams" name="nest_ngrams" value="1"
   ''')
        if VFFSL(SL,"nest_ngrams",True): # generated from line 164, col 4
            write(u''' checked="checked" ''')
        write(u''' />
  <label for="nest_ngrams">''')
        if False:
            _("hide/nest sub-n-grams")
        _v = VFFSL(SL,"_",False)("hide/nest sub-n-grams") # u'$_("hide/nest sub-n-grams")' on line 165, col 28
        if _v is not None: write(_filter(_v, rawExpr=u'$_("hide/nest sub-n-grams")')) # from line 165, col 28.
        write(u'''</label>
</td></tr></table>

<fieldset>
<legend>''')
        if False:
            _('Filter options')
        _v = VFFSL(SL,"_",False)('Filter options') # u"$_('Filter options')" on line 169, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Filter options')")) # from line 169, col 9.
        write(u''':</legend>
<table class="form"><tr>
  <th>''')
        if False:
            _("Filter word list by")
        _v = VFFSL(SL,"_",False)("Filter word list by") # u'$_("Filter word list by")' on line 171, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Filter word list by")')) # from line 171, col 7.
        write(u''':</th><td title="''')
        if False:
            _('Regular expression pattern')
        _v = VFFSL(SL,"_",False)('Regular expression pattern') # u"$_('Regular expression pattern')" on line 171, col 49
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Regular expression pattern')")) # from line 171, col 49.
        write(u'''">''')
        if False:
            _("Regular expression")
        _v = VFFSL(SL,"_",False)("Regular expression") # u'$_("Regular expression")' on line 171, col 83
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Regular expression")')) # from line 171, col 83.
        write(u''':</td>
  <td><input type="text" name="wlpat" size="50" value="''')
        _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 172, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 172, col 56.
        write(u'''" id="wlpat" />
    <a href="''')
        _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 173, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 173, col 14.
        write(u'''documentation/corpus-querying/#Regularexpressions"
        rel="help" title=\'''')
        if False:
            _("? Help on regular expressions")
        _v = VFFSL(SL,"_",False)("? Help on regular expressions") # u'$_("? Help on regular expressions")' on line 174, col 27
        if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on regular expressions")')) # from line 174, col 27.
        write(u'''\' target="_blank">
      <i class="fa fa-question-circle"></i>
    </a>
  </td>
</tr><tr>
  <td></td><td>''')
        if False:
            _("Minimum frequency")
        _v = VFFSL(SL,"_",False)("Minimum frequency") # u'$_("Minimum frequency")' on line 179, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Minimum frequency")')) # from line 179, col 16.
        write(u''':</td>
  <td><input type="text" name="wlminfreq" size="10" value="''')
        _v = VFFSL(SL,"wlminfreq",True) # u'$wlminfreq' on line 180, col 60
        if _v is not None: write(_filter(_v, rawExpr=u'$wlminfreq')) # from line 180, col 60.
        write(u'''"
      class="check_input pos_integer_zero"
      data-errtext="''')
        if False:
            _("Minimum frequency must be a positive integer or zero")
        _v = VFFSL(SL,"_",False)("Minimum frequency must be a positive integer or zero") # u'$_("Minimum frequency must be a positive integer or zero")' on line 182, col 21
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Minimum frequency must be a positive integer or zero")')) # from line 182, col 21.
        write(u'''" /></td>
</tr><tr>
  <td></td><td>''')
        if False:
            _("Maximum frequency")
        _v = VFFSL(SL,"_",False)("Maximum frequency") # u'$_("Maximum frequency")' on line 184, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Maximum frequency")')) # from line 184, col 16.
        write(u''':</td>
  <td><input type="text" name="wlmaxfreq" size="10" value="''')
        _v = VFFSL(SL,"wlmaxfreq",True) # u'$wlmaxfreq' on line 185, col 60
        if _v is not None: write(_filter(_v, rawExpr=u'$wlmaxfreq')) # from line 185, col 60.
        write(u'''"
       class="check_input pos_integer_zero"
       data-errtext="''')
        if False:
            _("Maximum frequency must be a positive integer or zero")
        _v = VFFSL(SL,"_",False)("Maximum frequency must be a positive integer or zero") # u'$_("Maximum frequency must be a positive integer or zero")' on line 187, col 22
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Maximum frequency must be a positive integer or zero")')) # from line 187, col 22.
        write(u'''" />
       <span>''')
        if False:
            _('(0 = no maximum frequency)')
        _v = VFFSL(SL,"_",False)('(0 = no maximum frequency)') # u"$_('(0 = no maximum frequency)')" on line 188, col 14
        if _v is not None: write(_filter(_v, rawExpr=u"$_('(0 = no maximum frequency)')")) # from line 188, col 14.
        write(u'''</span></td>
</tr><tr>
  <td></td><td>''')
        if False:
            _("Whitelist")
        _v = VFFSL(SL,"_",False)("Whitelist") # u'$_("Whitelist")' on line 190, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Whitelist")')) # from line 190, col 16.
        write(u''':</td>
  <td><input type="file" name="wlfile" size="30" id="wlfile" />
      <input type="button" onclick="clear_fileinput(\'wlfile\')" value="''')
        if False:
            _('Clear')
        _v = VFFSL(SL,"_",False)('Clear') # u"$_('Clear')" on line 192, col 71
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Clear')")) # from line 192, col 71.
        write(u'''" /></td>
</tr><tr>
  <td></td><td>''')
        if False:
            _("Blacklist")
        _v = VFFSL(SL,"_",False)("Blacklist") # u'$_("Blacklist")' on line 194, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Blacklist")')) # from line 194, col 16.
        write(u''':</td>
  <td><input type="file" name="wlblacklist" size="30" id="wlblacklist" />
      <input type="button" onclick="clear_fileinput(\'wlblacklist\')" value="''')
        if False:
            _('Clear')
        _v = VFFSL(SL,"_",False)('Clear') # u"$_('Clear')" on line 196, col 76
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Clear')")) # from line 196, col 76.
        write(u'''" />
      <a href="#" onclick="jQuery(\'#help_format\').toggleClass(\'inline\');
          return false;">''')
        if False:
            _("format")
        _v = VFFSL(SL,"_",False)("format") # u'$_("format")' on line 198, col 26
        if _v is not None: write(_filter(_v, rawExpr=u'$_("format")')) # from line 198, col 26.
        write(u'''</a>
      <div id="help_format">
        ''')
        if False:
            _("Word list whitelists and blacklists must be plain text (.txt), encoded in UTF-8, with one item per line.  The items must correspond to the selected attribute, so, eg, if 'lemma' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")
        _v = VFFSL(SL,"_",False)("Word list whitelists and blacklists must be plain text (.txt), encoded in UTF-8, with one item per line.  The items must correspond to the selected attribute, so, eg, if 'lemma' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.") # u'$_("Word list whitelists and blacklists must be plain text (.txt), encoded in UTF-8, with one item per line.  The items must correspond to the selected attribute, so, eg, if \'lemma\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")' on line 200, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list whitelists and blacklists must be plain text (.txt), encoded in UTF-8, with one item per line.  The items must correspond to the selected attribute, so, eg, if \'lemma\' is selected from the attribute menu, then the list should be a list of lemmas. We use exact matching, not regular-expression matching, for file input.")')) # from line 200, col 9.
        write(u'''
      </div>
  </td>
</tr><tr><td colspan="3">
''')
        checked = VFFSL(SL,"int",False)(VFFSL(SL,"include_nonwords",True)) and 'checked="checked"' or ''
        write(u'''<label><input type="checkbox" name="include_nonwords" value="1" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 205, col 65
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 205, col 65.
        write(u''' />''')
        if False:
            _("Include non-words")
        _v = VFFSL(SL,"_",False)("Include non-words") # u'$_("Include non-words")' on line 205, col 76
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Include non-words")')) # from line 205, col 76.
        write(u'''</label>
</td></tr></table>
</fieldset>

<fieldset>
<legend>''')
        if False:
            _('Output options')
        _v = VFFSL(SL,"_",False)('Output options') # u"$_('Output options')" on line 210, col 9
        if _v is not None: write(_filter(_v, rawExpr=u"$_('Output options')")) # from line 210, col 9.
        write(u''':</legend>
<table class="form"><tr class="required">
  <th>''')
        if False:
            _("Frequency figures")
        _v = VFFSL(SL,"_",False)("Frequency figures") # u'$_("Frequency figures")' on line 212, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Frequency figures")')) # from line 212, col 7.
        write(u''':</th>
  <td colspan="2">
''')
        checked = (VFFSL(SL,"wlnums",True) == 'frq') and 'checked="checked"' or ''
        write(u'''  <label><input type="radio" name="wlnums" value="frq" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 215, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 215, col 56.
        write(u''' />''')
        if False:
            _("Hit counts")
        _v = VFFSL(SL,"_",False)("Hit counts") # u'$_("Hit counts")' on line 215, col 67
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Hit counts")')) # from line 215, col 67.
        write(u'''</label>
''')
        checked = (VFFSL(SL,"wlnums",True) == 'docf') and 'checked="checked"' or ''
        write(u'''  <label><input type="radio" name="wlnums" value="docf" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 217, col 57
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 217, col 57.
        write(u''' />''')
        if False:
            _("Document counts")
        _v = VFFSL(SL,"_",False)("Document counts") # u'$_("Document counts")' on line 217, col 68
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Document counts")')) # from line 217, col 68.
        write(u'''</label>
''')
        checked = (VFFSL(SL,"wlnums",True) == 'arf') and 'checked="checked"' or ''
        write(u'''  <label><input type="radio" name="wlnums" value="arf" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 219, col 56
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 219, col 56.
        write(u''' />''')
        if False:
            _("ARF")
        _v = VFFSL(SL,"_",False)("ARF") # u'$_("ARF")' on line 219, col 67
        if _v is not None: write(_filter(_v, rawExpr=u'$_("ARF")')) # from line 219, col 67.
        write(u'''</label>
  </td>
</tr><tr class="required">
  <th>''')
        if False:
            _("Output type")
        _v = VFFSL(SL,"_",False)("Output type") # u'$_("Output type")' on line 222, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Output type")')) # from line 222, col 7.
        write(u''':</th>
''')
        checked = (VFFSL(SL,"wltype",True) == 'simple') and 'checked="checked"' or ''
        write(u'''  <td><label onclick="select_output_type(\'simple\')"><input type="radio" name="wltype" value="simple" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 224, col 102
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 224, col 102.
        write(u''' id="wltype_simple">''')
        if False:
            _("Simple")
        _v = VFFSL(SL,"_",False)("Simple") # u'$_("Simple")' on line 224, col 130
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Simple")')) # from line 224, col 130.
        write(u'''</label></td>
</tr><tr>
''')
        checked = (VFFSL(SL,"wltype",True) == 'keywords') and 'checked="checked"' or ''
        write(u'''  <td></td><td><label onclick="select_output_type(\'keywords\')"><input type="radio" name="wltype" value="keywords" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 227, col 115
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 227, col 115.
        write(u'''  id="wltype_keywords">''')
        if False:
            _("Keywords")
        _v = VFFSL(SL,"_",False)("Keywords") # u'$_("Keywords")' on line 227, col 146
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Keywords")')) # from line 227, col 146.
        write(u'''</label></td>
</tr><tr>
  <td></td><td style="padding-left: 4em;">''')
        if False:
            _("Reference (sub)corpus")
        _v = VFFSL(SL,"_",False)("Reference (sub)corpus") # u'$_("Reference (sub)corpus")' on line 229, col 43
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Reference (sub)corpus")')) # from line 229, col 43.
        write(u'''</td>
  <td>
''')
        if not VFFSL(SL,"getVar",False)('CompatibleCorpora', []): # generated from line 231, col 3
            CompatibleCorpora = VFFSL(SL,"Corplist",True)
        write(u'''  <select name="ref_corpname" id="ref_corpname"
    onchange="this.form.reload.value=1; if(this.form.ref_usesubcorp) this.form.ref_usesubcorp.value=\'\'; this.form.submit();">
    <optgroup label="''')
        if False:
            _("Compatible corpora")
        _v = VFFSL(SL,"_",False)("Compatible corpora") # u'$_("Compatible corpora")' on line 236, col 22
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Compatible corpora")')) # from line 236, col 22.
        write(u'''">
''')
        for c in VFFSL(SL,"CompatibleCorpora",True): # generated from line 237, col 5
            selected = (VFFSL(SL,"c.id",True) == VFFSL(SL,"ref_corpname",True)) and 'selected="selected"' or ''
            if VFFSL(SL,"c.id",True) in VFFSL(SL,"TagsetCompatible",True): # generated from line 239, col 7
                write(u'''        <option value="''')
                _v = VFFSL(SL,"c.id",True) # u'$c.id' on line 240, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$c.id')) # from line 240, col 24.
                write(u'''" ''')
                _v = VFFSL(SL,"selected",True) # u'$selected' on line 240, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 240, col 31.
                write(u'''>''')
                _v = VFFSL(SL,"c.name",True) # u'$c.name' on line 240, col 41
                if _v is not None: write(_filter(_v, rawExpr=u'$c.name')) # from line 240, col 41.
                write(u'''</option>
''')
        write(u'''    </optgroup>
    <optgroup label="''')
        if False:
            _("Other corpora")
        _v = VFFSL(SL,"_",False)("Other corpora") # u'$_("Other corpora")' on line 244, col 22
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Other corpora")')) # from line 244, col 22.
        write(u'''">
''')
        for c in VFFSL(SL,"CompatibleCorpora",True): # generated from line 245, col 5
            selected = (VFFSL(SL,"c.id",True) == VFFSL(SL,"ref_corpname",True)) and 'selected="selected"' or ''
            if VFFSL(SL,"c.id",True) not in VFFSL(SL,"TagsetCompatible",True): # generated from line 247, col 7
                write(u'''        <option value="''')
                _v = VFFSL(SL,"c.id",True) # u'$c.id' on line 248, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$c.id')) # from line 248, col 24.
                write(u'''" ''')
                _v = VFFSL(SL,"selected",True) # u'$selected' on line 248, col 31
                if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 248, col 31.
                write(u'''>''')
                _v = VFFSL(SL,"c.name",True) # u'$c.name' on line 248, col 41
                if _v is not None: write(_filter(_v, rawExpr=u'$c.name')) # from line 248, col 41.
                write(u'''</option>
''')
        write(u'''    </optgroup>
  </select>
  <select name="ref_usesubcorp" id="ref_usesubcorp">
    <option value="">(''')
        if False:
            _("whole corpus")
        _v = VFFSL(SL,"_",False)("whole corpus") # u'$_("whole corpus")' on line 254, col 23
        if _v is not None: write(_filter(_v, rawExpr=u'$_("whole corpus")')) # from line 254, col 23.
        write(u''')</option>
''')
        if VFFSL(SL,"RefSubcorp",True): # generated from line 255, col 3
            if VFFSL(SL,"corpname",True) == VFFSL(SL,"ref_corpname",True): # generated from line 256, col 5
                write(u'''      <option value="== the rest of the corpus ==">''')
                if False:
                    _("the rest of the corpus")
                _v = VFFSL(SL,"_",False)("the rest of the corpus") # u'$_("the rest of the corpus")' on line 257, col 52
                if _v is not None: write(_filter(_v, rawExpr=u'$_("the rest of the corpus")')) # from line 257, col 52.
                write(u'''</option>
''')
            global_subcorpora = [x for x in VFFSL(SL,"RefSubcorp",True) if not x['user']]
            user_subcorpora = [x for x in VFFSL(SL,"RefSubcorp",True) if x['user']]
            write(u'''
''')
            if VFFSL(SL,"global_subcorpora",True): # generated from line 262, col 5
                write(u'''      <optgroup label="''')
                if False:
                    _("Preloaded subcorpora")
                _v = VFFSL(SL,"_",False)("Preloaded subcorpora") # u'$_("Preloaded subcorpora")' on line 263, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Preloaded subcorpora")')) # from line 263, col 24.
                write(u'''">
''')
                for l in VFFSL(SL,"global_subcorpora",True): # generated from line 264, col 7
                    write(u'''        <option>''')
                    _v = VFFSL(SL,"l.n",True) # u'$l.n' on line 265, col 17
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.n')) # from line 265, col 17.
                    write(u'''</option>
''')
                write(u'''      </optgroup>
''')
            if VFFSL(SL,"user_subcorpora",True): # generated from line 269, col 5
                write(u'''      <optgroup label="''')
                if False:
                    _("User subcorpora")
                _v = VFFSL(SL,"_",False)("User subcorpora") # u'$_("User subcorpora")' on line 270, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'$_("User subcorpora")')) # from line 270, col 24.
                write(u'''">
''')
                for l in VFFSL(SL,"user_subcorpora",True): # generated from line 271, col 7
                    write(u'''        <option>''')
                    _v = VFFSL(SL,"l.n",True) # u'$l.n' on line 272, col 17
                    if _v is not None: write(_filter(_v, rawExpr=u'$l.n')) # from line 272, col 17.
                    write(u'''</option>
''')
                write(u'''      </optgroup>
''')
        write(u'''  </select>
</tr>
<tr>
  <td><input type="hidden" name="simple_n" id="simple_n" /></td>
  <th>''')
        if False:
            _("Prefer")
        _v = VFFSL(SL,"_",False)("Prefer") # u'$_("Prefer")' on line 281, col 7
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Prefer")')) # from line 281, col 7.
        write(u''':</th>
  <td style="text-align: left;">''')
        if False:
            _("rare words")
        _v = VFFSL(SL,"_",False)("rare words") # u'$_("rare words")' on line 282, col 33
        if _v is not None: write(_filter(_v, rawExpr=u'$_("rare words")')) # from line 282, col 33.
        write(u'''
    <div id="simple_n_slider" class="noUiSlider"></div>
    ''')
        if False:
            _("common words")
        _v = VFFSL(SL,"_",False)("common words") # u'$_("common words")' on line 284, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("common words")')) # from line 284, col 5.
        write(u'''
    <input type="text" id="slider_value" class="check_input float"
        data-errtext="''')
        if False:
            _("Parameter must be a real number")
        _v = VFFSL(SL,"_",False)("Parameter must be a real number") # u'$_("Parameter must be a real number")' on line 286, col 23
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Parameter must be a real number")')) # from line 286, col 23.
        write(u'''"
        value="''')
        _v = VFFSL(SL,"simple_n",True) # u'$simple_n' on line 287, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$simple_n')) # from line 287, col 16.
        write(u'''"/>
    <a href="''')
        _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 288, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 288, col 14.
        write(u'''documentation/simple-maths/"
        title="''')
        if False:
            _("Help on simple math parameter")
        _v = VFFSL(SL,"_",False)("Help on simple math parameter") # u'$_("Help on simple math parameter")' on line 289, col 16
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Help on simple math parameter")')) # from line 289, col 16.
        write(u'''" target="_blank">
      <i class="fa fa-question-circle"></i>
    </a>
  </td>
</tr>
<tr>
''')
        checked = (VFFSL(SL,"wltype",True) == 'multilevel') and 'checked="checked"' or ''
        write(u'''  <td></td>
  <td>
    <label onclick="select_output_type(\'multilevel\')">
      <input type="radio" name="wltype" value="multilevel" ''')
        _v = VFFSL(SL,"checked",True) # u'$checked' on line 299, col 60
        if _v is not None: write(_filter(_v, rawExpr=u'$checked')) # from line 299, col 60.
        write(u'''
          id="wltype_multilevel" />''')
        if False:
            _("Change output attribute(s)")
        _v = VFFSL(SL,"_",False)("Change output attribute(s)") # u'$_("Change output attribute(s)")' on line 300, col 36
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Change output attribute(s)")')) # from line 300, col 36.
        write(u'''
    </label>
  </td>
</tr>
<tr>
  <td></td>
  <td colspan="2" style="padding-left: 4em;">
''')
        for i in VFFSL(SL,"range",False)(1,4): # generated from line 307, col 3
            write(u'''    <select name="wlstruct_attr''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 308, col 32
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 308, col 32.
            write(u'''" id="wlstruct_attr''')
            _v = VFFSL(SL,"i",True) # u'$i' on line 308, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$i')) # from line 308, col 53.
            write(u'''">
    <option value="">---</option>
''')
            for a in VFFSL(SL,"AttrList",True): # generated from line 310, col 5
                write(u'''      <option value="''')
                _v = VFFSL(SL,"a.n",True) # u'$a.n' on line 311, col 22
                if _v is not None: write(_filter(_v, rawExpr=u'$a.n')) # from line 311, col 22.
                write(u'''" ''')
                _v = VFFSL(SL,"selected",True) # u'$selected' on line 311, col 28
                if _v is not None: write(_filter(_v, rawExpr=u'$selected')) # from line 311, col 28.
                write(u'''>''')
                _v = VFFSL(SL,"a.label",True) # u'$a.label' on line 311, col 38
                if _v is not None: write(_filter(_v, rawExpr=u'$a.label')) # from line 311, col 38.
                write(u'''</option>
''')
            write(u'''    </select>
''')
        write(u'''  <p class="note">''')
        if False:
            _("You can select one or more output attributes. Please note that this option can be time-consuming.")
        _v = VFFSL(SL,"_",False)("You can select one or more output attributes. Please note that this option can be time-consuming.") # u'$_("You can select one or more output attributes. Please note that this option can be time-consuming.")' on line 315, col 19
        if _v is not None: write(_filter(_v, rawExpr=u'$_("You can select one or more output attributes. Please note that this option can be time-consuming.")')) # from line 315, col 19.
        write(u'''</p>
  </td>
</tr>
</table>
</fieldset>

<div class="buttons">
<input class="submit long_process_warning" type="submit" value="''')
        if False:
            _("Make word list")
        _v = VFFSL(SL,"_",False)("Make word list") # u'$_("Make word list")' on line 322, col 65
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Make word list")')) # from line 322, col 65.
        write(u'''" onclick="change_wl_form_method()" />
</div>
</form>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_29513699
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2017  Pavel Rychly, Vojtech Kovar, Milos Jakubicek, Milos Husak, Vit Baisa
        write(u'''






''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_wordlist_form= 'writeBody'

## END CLASS DEFINITION

if not hasattr(wordlist_form, '_initCheetahAttributes'):
    templateAPIClass = getattr(wordlist_form, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(wordlist_form)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=wordlist_form()).run()


